%%%----------------------------------------------------------------------
%%% File    : hipe_sparc_specific.erl
%%% Author  : Ingemar berg <d95ina@zeppo.it.uu.se>
%%% Purpose : Provide target specific functions to the register allocator
%%% Created :  2 Apr 2000 by Ingemar berg <d95ina@zeppo.it.uu.se>
%%%----------------------------------------------------------------------

-module(hipe_sparc_specific).
-author('d95ina@zeppo.it.uu.se').

-export([analyze/1,
	 liveout/2,
	 allocatable/0,
	 all_precolored/0,
	 is_precolored/1,
	 physical_name/1,
	 labels/1,
	 var_range/1,
	 bb/2,
	 def_use/1,
	 is_move/1,
	 reg_nr/1]).

% Liveness stuff

analyze(CFG) ->
    hipe_sparc_liveness:analyze(CFG).

liveout(BB_in_out_liveness,Label) ->
    hipe_sparc_liveness:liveout(BB_in_out_liveness,Label).

% Registers stuff

allocatable() ->
    hipe_sparc_registers:allocatable().

all_precolored() ->
    hipe_sparc_registers:all_precolored().

is_precolored(Reg) ->
    hipe_sparc_registers:is_precolored(Reg).

physical_name(Reg) ->
    hipe_sparc_registers:physical_name(Reg).

% CFG stuff

labels(CFG) ->
    hipe_sparc_cfg:labels(CFG).

var_range(CFG) ->
    hipe_sparc_cfg:var_range(CFG).

bb(CFG,L) ->
    hipe_sparc_cfg:bb(CFG,L).

% SPARC stuff

def_use(Instruction) ->
    hipe_sparc:def_use(Instruction).

is_move(Instruction) ->
    hipe_sparc:is_move(Instruction).

reg_nr(Reg) ->
    hipe_sparc:reg_nr(Reg).
