%% Copyright (c) 1997 by Erik Johansson.  All Rights Reserved 
%% Time-stamp: <01/02/14 16:21:58 happi>
%% ====================================================================
%%  Filename : 	hipe_link.erl
%%  Module   :	hipe_link
%%  Purpose  :  To assemble SPARC-code to bytecode and link it into
%%               the system.
%% 
%%  Notes    :  Requiers The Ngorongoro Erlang System.
%%               bifs: hipe_alloc_code
%%                     hipe_link
%%
%%  History  :	* 1997-04-12 Erik Johansson (happi@csd.uu.se): Created.
%%
%% CVS:
%%    $Author: richardc $
%%    $Date: 2001/03/26 18:37:08 $
%%    $Revision: 1.1.1.1 $
%% ====================================================================
%% Exported functions (short description):
%%  assemble_and_link(Fun,Entrypoint,Listofcode) - 
%%    Takes: Fun - A funtion name as a tuple {Module,Function,Arity}.
%%           Entrypoint - A tuple {MemoryID,Entrycode} where 
%%             MemoryID is the name of the memory to store the entry 
%%              code in.
%%             Entrycode is a linerized list of SPARC-code.
%%           Listofcode - A list of tuples (memory ids and code). 
%%    Does:  Links all code. Allocates memory. Assembles the code. 
%%            Writes the code to memory. Patches calls to the function
%%            To the new position. And updates the codeserver.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-module(hipe_link).
-export([link/1]).

%---------------------------------------------------------------------%
link(Funs) ->
  report_function_call:obsolete(hipe_sparc_linker, link, 5).
  
