%%%----------------------------------------------------------------------
%%% File    : otp_4011.erl
%%% Author  : Micael Karlberg <Micael.Karlberg@ericsson.com>
%%% Purpose : Test and verify the ticket OTP-4013
%%% Created : 30 May 2001 by Micael Karlberg <Micael.Karlberg@ericsson.com>
%%%----------------------------------------------------------------------

%% otp_4011:do6().
%% otp_4011:do().

-module(otp_4011).
-author('Micael.Karlberg@ericsson.com').

-export([do/0]).
-export([do1/0,do2/0]).

do1() ->
    %% put(dbg,true),
    {_,M,_} = msg1(),
    Res = doIt(M),
    %% erase(dbg),
    Res.

do2() ->
    %% put(dbg,true),
    {_,M,_} = msg2(),
    Res = doIt(M),
    %% erase(dbg),
    Res.

do() ->
    [do(M) || M <- msgs()].

do({No,M,_}) ->
    i("DO TEST ~p",[No]),
    doIt(M).

doIt(M) ->
    MBin = list_to_binary(M),
    case megaco_compact_text_encoder:decode_message([],MBin) of
	{ok,Message} ->
	    i("message decoded: ~n~p",[Message]),
	    ok;
	{error,[{reason,Reason,Line},{token,Tokens},{chars,Chars}]} ->
	    i("encoding failed:"
	      "~n   Reason: ~p"
	      "~n   Line:   ~p"
	      "~n   Tokens: ~p"
	      "~n   Chars:  ~p",[Reason,Line,Tokens,Chars]),
	    error;
	{error,[{reason,Reason},{token,Tokens},{chars,Chars}]} ->
	    i("encoding failed:"
	      "~n   Reason: ~p"
	      "~n   Tokens: ~p"
	      "~n   Chars:  ~p",[Reason,Tokens,Chars]),
	    error;
	{error,Reason} ->
	    i("encoding failed: ~p",[Reason]),
	    error
    end.


i(F,A) ->
    io:format("*** INFO: " ++ F ++ "~n",A).

msgs() -> 
    [
     {1,msg1(),error},
     {2,msg2(),error}
    ].
    
msg1() ->
    "!/1 ML T=233350{C=${A=stedevice/01{M{O{MO=SR,RV=OFF,RG=OFF,tdmc/ec=OFF,MO=SR}}}}}".

msg2() ->
    "!/1 ML T=233350{C=${A=stedevice/01{M{O{MO=SO,RV=OFF,RG=OFF,tdmc/ec=OFF,MO=SR}}}}}".


