%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.1, (the "License"); you may not use this file except in
%% compliance with the License. You should have received a copy of the
%% Erlang Public License along with this software. If not, it can be
%% retrieved via the world wide web at http://www.erlang.org/.
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Initial Developer of the Original Code is Ericsson Utvecklings AB.
%% Portions created by Ericsson are Copyright 1999, Ericsson Utvecklings
%% AB. All Rights Reserved.''
%% 
%%     $Id$
%%
%% Generated by the Erlang ASN.1 BER-compiler version:1.2.9.1
%% Purpose: encoder and decoder to the types in mod MEDIA-GATEWAY-CONTROL

-module('MEDIA-GATEWAY-CONTROL').
-include_lib("megaco/include/megaco_message_v1.hrl").
-define('RT_BER',asn1rt_ber_v1).

-define(META_ENC(Type, Item), megaco_binary_encoder:encode_name(Type, Item)).

-define(META_DEC(Type, Item), megaco_binary_encoder:decode_name(Type, Item)).

-export([encoding_rule/0]).
-export([
	 'enc_MegacoMessage'/2,
	 'enc_AuthenticationHeader'/2,
	 'enc_SecurityParmIndex'/2,
	 'enc_SequenceNum'/2,
	 'enc_AuthData'/2,
	 'enc_Message'/2,
	 'enc_MId'/2,
	 'enc_DomainName'/2,
	 'enc_IP4Address'/2,
	 'enc_IP6Address'/2,
	 'enc_PathName'/2,
	 'enc_Transaction'/2,
	 'enc_TransactionId'/2,
	 'enc_TransactionRequest'/2,
	 'enc_TransactionPending'/2,
	 'enc_TransactionReply'/2,
	 'enc_TransactionResponseAck'/2,
	 'enc_ErrorDescriptor'/2,
	 'enc_ErrorCode'/2,
	 'enc_ErrorText'/2,
	 'enc_ContextID'/2,
	 'enc_ActionRequest'/2,
	 'enc_ActionReply'/2,
	 'enc_ContextRequest'/2,
	 'enc_ContextAttrAuditRequest'/2,
	 'enc_CommandRequest'/2,
	 'enc_Command'/2,
	 'enc_CommandReply'/2,
	 'enc_TopologyRequest'/2,
	 'enc_AmmRequest'/2,
	 'enc_AmmDescriptor'/2,
	 'enc_AmmsReply'/2,
	 'enc_SubtractRequest'/2,
	 'enc_AuditRequest'/2,
	 'enc_AuditReply'/2,
	 'enc_AuditResult'/2,
	 'enc_TerminationAudit'/2,
	 'enc_AuditReturnParameter'/2,
	 'enc_AuditDescriptor'/2,
	 'enc_NotifyRequest'/2,
	 'enc_NotifyReply'/2,
	 'enc_ObservedEventsDescriptor'/2,
	 'enc_ObservedEvent'/2,
	 'enc_EventName'/2,
	 'enc_EventParameter'/2,
	 'enc_ServiceChangeRequest'/2,
	 'enc_ServiceChangeReply'/2,
	 'enc_ServiceChangeResult'/2,
	 'enc_WildcardField'/2,
	 'enc_TerminationID'/2,
	 'enc_TerminationIDList'/2,
	 'enc_MediaDescriptor'/2,
	 'enc_StreamDescriptor'/2,
	 'enc_StreamParms'/2,
	 'enc_LocalControlDescriptor'/2,
	 'enc_StreamMode'/2,
	 'enc_PropertyParm'/2,
	 'enc_Name'/2,
	 'enc_PkgdName'/2,
	 'enc_Relation'/2,
	 'enc_LocalRemoteDescriptor'/2,
	 'enc_PropertyGroup'/2,
	 'enc_TerminationStateDescriptor'/2,
	 'enc_EventBufferControl'/2,
	 'enc_ServiceState'/2,
	 'enc_MuxDescriptor'/2,
	 'enc_MuxType'/2,
	 'enc_StreamID'/2,
	 'enc_EventsDescriptor'/2,
	 'enc_RequestedEvent'/2,
	 'enc_RequestedActions'/2,
	 'enc_EventDM'/2,
	 'enc_SecondEventsDescriptor'/2,
	 'enc_SecondRequestedEvent'/2,
	 'enc_SecondRequestedActions'/2,
	 'enc_EventBufferDescriptor'/2,
	 'enc_EventSpec'/2,
	 'enc_SignalsDescriptor'/2,
	 'enc_SignalRequest'/2,
	 'enc_SeqSigList'/2,
	 'enc_Signal'/2,
	 'enc_SignalType'/2,
	 'enc_SignalName'/2,
	 'enc_NotifyCompletion'/2,
	 'enc_SigParameter'/2,
	 'enc_RequestID'/2,
	 'enc_ModemDescriptor'/2,
	 'enc_ModemType'/2,
	 'enc_DigitMapDescriptor'/2,
	 'enc_DigitMapName'/2,
	 'enc_DigitMapValue'/2,
	 'enc_ServiceChangeParm'/2,
	 'enc_ServiceChangeAddress'/2,
	 'enc_ServiceChangeResParm'/2,
	 'enc_ServiceChangeMethod'/2,
	 'enc_ServiceChangeProfile'/2,
	 'enc_PackagesDescriptor'/2,
	 'enc_PackagesItem'/2,
	 'enc_StatisticsDescriptor'/2,
	 'enc_StatisticsParameter'/2,
	 'enc_TimeNotation'/2,
	 'enc_Value'/2
	]).

-export([
	 'dec_MegacoMessage'/2,
	 'dec_AuthenticationHeader'/2,
	 'dec_SecurityParmIndex'/2,
	 'dec_SequenceNum'/2,
	 'dec_AuthData'/2,
	 'dec_Message'/2,
	 'dec_MId'/2,
	 'dec_DomainName'/2,
	 'dec_IP4Address'/2,
	 'dec_IP6Address'/2,
	 'dec_PathName'/2,
	 'dec_Transaction'/2,
	 'dec_TransactionId'/2,
	 'dec_TransactionRequest'/2,
	 'dec_TransactionPending'/2,
	 'dec_TransactionReply'/2,
	 'dec_TransactionResponseAck'/2,
	 'dec_ErrorDescriptor'/2,
	 'dec_ErrorCode'/2,
	 'dec_ErrorText'/2,
	 'dec_ContextID'/2,
	 'dec_ActionRequest'/2,
	 'dec_ActionReply'/2,
	 'dec_ContextRequest'/2,
	 'dec_ContextAttrAuditRequest'/2,
	 'dec_CommandRequest'/2,
	 'dec_Command'/2,
	 'dec_CommandReply'/2,
	 'dec_TopologyRequest'/2,
	 'dec_AmmRequest'/2,
	 'dec_AmmDescriptor'/2,
	 'dec_AmmsReply'/2,
	 'dec_SubtractRequest'/2,
	 'dec_AuditRequest'/2,
	 'dec_AuditReply'/2,
	 'dec_AuditResult'/2,
	 'dec_TerminationAudit'/2,
	 'dec_AuditReturnParameter'/2,
	 'dec_AuditDescriptor'/2,
	 'dec_NotifyRequest'/2,
	 'dec_NotifyReply'/2,
	 'dec_ObservedEventsDescriptor'/2,
	 'dec_ObservedEvent'/2,
	 'dec_EventName'/2,
	 'dec_EventParameter'/2,
	 'dec_ServiceChangeRequest'/2,
	 'dec_ServiceChangeReply'/2,
	 'dec_ServiceChangeResult'/2,
	 'dec_WildcardField'/2,
	 'dec_TerminationID'/2,
	 'dec_TerminationIDList'/2,
	 'dec_MediaDescriptor'/2,
	 'dec_StreamDescriptor'/2,
	 'dec_StreamParms'/2,
	 'dec_LocalControlDescriptor'/2,
	 'dec_StreamMode'/2,
	 'dec_PropertyParm'/2,
	 'dec_Name'/2,
	 'dec_PkgdName'/2,
	 'dec_Relation'/2,
	 'dec_LocalRemoteDescriptor'/2,
	 'dec_PropertyGroup'/2,
	 'dec_TerminationStateDescriptor'/2,
	 'dec_EventBufferControl'/2,
	 'dec_ServiceState'/2,
	 'dec_MuxDescriptor'/2,
	 'dec_MuxType'/2,
	 'dec_StreamID'/2,
	 'dec_EventsDescriptor'/2,
	 'dec_RequestedEvent'/2,
	 'dec_RequestedActions'/2,
	 'dec_EventDM'/2,
	 'dec_SecondEventsDescriptor'/2,
	 'dec_SecondRequestedEvent'/2,
	 'dec_SecondRequestedActions'/2,
	 'dec_EventBufferDescriptor'/2,
	 'dec_EventSpec'/2,
	 'dec_SignalsDescriptor'/2,
	 'dec_SignalRequest'/2,
	 'dec_SeqSigList'/2,
	 'dec_Signal'/2,
	 'dec_SignalType'/2,
	 'dec_SignalName'/2,
	 'dec_NotifyCompletion'/2,
	 'dec_SigParameter'/2,
	 'dec_RequestID'/2,
	 'dec_ModemDescriptor'/2,
	 'dec_ModemType'/2,
	 'dec_DigitMapDescriptor'/2,
	 'dec_DigitMapName'/2,
	 'dec_DigitMapValue'/2,
	 'dec_ServiceChangeParm'/2,
	 'dec_ServiceChangeAddress'/2,
	 'dec_ServiceChangeResParm'/2,
	 'dec_ServiceChangeMethod'/2,
	 'dec_ServiceChangeProfile'/2,
	 'dec_PackagesDescriptor'/2,
	 'dec_PackagesItem'/2,
	 'dec_StatisticsDescriptor'/2,
	 'dec_StatisticsParameter'/2,
	 'dec_TimeNotation'/2,
	 'dec_Value'/2
	]).

-export([
	 'dec_MegacoMessage'/3,
	 'dec_AuthenticationHeader'/3,
	 'dec_SecurityParmIndex'/3,
	 'dec_SequenceNum'/3,
	 'dec_AuthData'/3,
	 'dec_Message'/3,
	 'dec_MId'/3,
	 'dec_DomainName'/3,
	 'dec_IP4Address'/3,
	 'dec_IP6Address'/3,
	 'dec_PathName'/3,
	 'dec_Transaction'/3,
	 'dec_TransactionId'/3,
	 'dec_TransactionRequest'/3,
	 'dec_TransactionPending'/3,
	 'dec_TransactionReply'/3,
	 'dec_TransactionResponseAck'/3,
	 'dec_ErrorDescriptor'/3,
	 'dec_ErrorCode'/3,
	 'dec_ErrorText'/3,
	 'dec_ContextID'/3,
	 'dec_ActionRequest'/3,
	 'dec_ActionReply'/3,
	 'dec_ContextRequest'/3,
	 'dec_ContextAttrAuditRequest'/3,
	 'dec_CommandRequest'/3,
	 'dec_Command'/3,
	 'dec_CommandReply'/3,
	 'dec_TopologyRequest'/3,
	 'dec_AmmRequest'/3,
	 'dec_AmmDescriptor'/3,
	 'dec_AmmsReply'/3,
	 'dec_SubtractRequest'/3,
	 'dec_AuditRequest'/3,
	 'dec_AuditReply'/3,
	 'dec_AuditResult'/3,
	 'dec_TerminationAudit'/3,
	 'dec_AuditReturnParameter'/3,
	 'dec_AuditDescriptor'/3,
	 'dec_NotifyRequest'/3,
	 'dec_NotifyReply'/3,
	 'dec_ObservedEventsDescriptor'/3,
	 'dec_ObservedEvent'/3,
	 'dec_EventName'/3,
	 'dec_EventParameter'/3,
	 'dec_ServiceChangeRequest'/3,
	 'dec_ServiceChangeReply'/3,
	 'dec_ServiceChangeResult'/3,
	 'dec_WildcardField'/3,
	 'dec_TerminationID'/3,
	 'dec_TerminationIDList'/3,
	 'dec_MediaDescriptor'/3,
	 'dec_StreamDescriptor'/3,
	 'dec_StreamParms'/3,
	 'dec_LocalControlDescriptor'/3,
	 'dec_StreamMode'/3,
	 'dec_PropertyParm'/3,
	 'dec_Name'/3,
	 'dec_PkgdName'/3,
	 'dec_Relation'/3,
	 'dec_LocalRemoteDescriptor'/3,
	 'dec_PropertyGroup'/3,
	 'dec_TerminationStateDescriptor'/3,
	 'dec_EventBufferControl'/3,
	 'dec_ServiceState'/3,
	 'dec_MuxDescriptor'/3,
	 'dec_MuxType'/3,
	 'dec_StreamID'/3,
	 'dec_EventsDescriptor'/3,
	 'dec_RequestedEvent'/3,
	 'dec_RequestedActions'/3,
	 'dec_EventDM'/3,
	 'dec_SecondEventsDescriptor'/3,
	 'dec_SecondRequestedEvent'/3,
	 'dec_SecondRequestedActions'/3,
	 'dec_EventBufferDescriptor'/3,
	 'dec_EventSpec'/3,
	 'dec_SignalsDescriptor'/3,
	 'dec_SignalRequest'/3,
	 'dec_SeqSigList'/3,
	 'dec_Signal'/3,
	 'dec_SignalType'/3,
	 'dec_SignalName'/3,
	 'dec_NotifyCompletion'/3,
	 'dec_SigParameter'/3,
	 'dec_RequestID'/3,
	 'dec_ModemDescriptor'/3,
	 'dec_ModemType'/3,
	 'dec_DigitMapDescriptor'/3,
	 'dec_DigitMapName'/3,
	 'dec_DigitMapValue'/3,
	 'dec_ServiceChangeParm'/3,
	 'dec_ServiceChangeAddress'/3,
	 'dec_ServiceChangeResParm'/3,
	 'dec_ServiceChangeMethod'/3,
	 'dec_ServiceChangeProfile'/3,
	 'dec_PackagesDescriptor'/3,
	 'dec_PackagesItem'/3,
	 'dec_StatisticsDescriptor'/3,
	 'dec_StatisticsParameter'/3,
	 'dec_TimeNotation'/3,
	 'dec_Value'/3
	]).

encoding_rule() ->
    ber.



%%================================
%%  MegacoMessage
%%================================
'enc_MegacoMessage'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type AuthenticationHeader OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,authHeader) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_AuthenticationHeader'(?RT_BER:cindex(2,Val,authHeader), [{tag,128,0,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 2 with type Message
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_Message'(?RT_BER:cindex(3,Val,mess), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_MegacoMessage'(Bytes, OptOrMand) ->
    'dec_MegacoMessage'(Bytes, OptOrMand, []).

'dec_MegacoMessage'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type AuthenticationHeader OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch 'dec_AuthenticationHeader'(Bytes2,opt_or_default, [{tag,128,0,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 2 with type Message
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_Message'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'MegacoMessage', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  AuthenticationHeader
%%================================
'enc_AuthenticationHeader'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type SecurityParmIndex
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_SecurityParmIndex'(?RT_BER:cindex(2,Val,secParmIndex), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SequenceNum
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_SequenceNum'(?RT_BER:cindex(3,Val,seqNum), [{tag,128,1,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type AuthData
    %%-------------------------------------------------
    {EncBytes3,EncLen3} = 'enc_AuthData'(?RT_BER:cindex(4,Val,ad), [{tag,128,2,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_AuthenticationHeader'(Bytes, OptOrMand) ->
    'dec_AuthenticationHeader'(Bytes, OptOrMand, []).

'dec_AuthenticationHeader'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type SecurityParmIndex
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_SecurityParmIndex'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SequenceNum
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_SequenceNum'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type AuthData
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = 'dec_AuthData'(Bytes4,mandatory, [{tag,128,2,'IMPLICIT',0}]),

    {{'AuthenticationHeader', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  SecurityParmIndex
%%================================

'enc_SecurityParmIndex'({'SecurityParmIndex',Val}, TagIn) ->
    'enc_SecurityParmIndex'(Val, TagIn);

'enc_SecurityParmIndex'(Val, TagIn) ->
    ?RT_BER:encode_octet_string([], Val, TagIn ++ []).


'dec_SecurityParmIndex'(Bytes, OptOrMand) ->
    'dec_SecurityParmIndex'(Bytes, OptOrMand, []).

'dec_SecurityParmIndex'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_octet_string(Bytes,[],TagIn++[], no_length, OptOrMand).



%%================================
%%  SequenceNum
%%================================

'enc_SequenceNum'({'SequenceNum',Val}, TagIn) ->
    'enc_SequenceNum'(Val, TagIn);

'enc_SequenceNum'(Val, TagIn) ->
    ?RT_BER:encode_octet_string([], Val, TagIn ++ []).


'dec_SequenceNum'(Bytes, OptOrMand) ->
    'dec_SequenceNum'(Bytes, OptOrMand, []).

'dec_SequenceNum'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_octet_string(Bytes,[],TagIn++[], no_length, OptOrMand).



%%================================
%%  AuthData
%%================================

'enc_AuthData'({'AuthData',Val}, TagIn) ->
    'enc_AuthData'(Val, TagIn);

'enc_AuthData'(Val, TagIn) ->
    ?RT_BER:encode_octet_string([], Val, TagIn ++ []).


'dec_AuthData'(Bytes, OptOrMand) ->
    'dec_AuthData'(Bytes, OptOrMand, []).

'dec_AuthData'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_octet_string(Bytes,[],TagIn++[], no_length, OptOrMand).



%%================================
%%  Message
%%================================
'enc_Message'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type INTEGER
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = ?RT_BER:encode_integer([], ?RT_BER:cindex(2,Val,version), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type MId
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_MId'(?RT_BER:cindex(3,Val,mId), [{tag,128,1,'EXPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type CHOICE
    %%-------------------------------------------------
    {EncBytes3,EncLen3} = 'enc_Message_messageBody'(?RT_BER:cindex(4,Val,messageBody), [{tag,128,2,'EXPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  Message_messageBody
%%================================

'enc_Message_messageBody'({'Message_messageBody',Val}, TagIn) ->
    'enc_Message_messageBody'(Val, TagIn);

'enc_Message_messageBody'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    messageError ->
				'enc_ErrorDescriptor'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    transactions ->
				'enc_Message_messageBody_transactions'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).





%%================================
%%  Message_messageBody_transactions
%%================================

'enc_Message_messageBody_transactions'({'Message_messageBody_transactions',Val}, TagIn) ->
    'enc_Message_messageBody_transactions'(Val, TagIn);

'enc_Message_messageBody_transactions'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_Message_messageBody_transactions_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_Message_messageBody_transactions_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_Message_messageBody_transactions_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_Transaction'(H, []),
    'enc_Message_messageBody_transactions_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_Message_messageBody_transactions'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_Transaction'/3, [], []).


'dec_Message_messageBody'(Bytes, OptOrMand, TagIn) ->
    TagList = [{messageError,[{'CONTEXT',0}]},{transactions,[{'CONTEXT',1}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'messageError' ->
	    {Dec, Rest, RbCho} = 'dec_ErrorDescriptor'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{messageError, Dec}, Rest, RbExp + RbCho};

	'transactions' ->
	    {Dec, Rest, RbCho} = 'dec_Message_messageBody_transactions'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{transactions, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


'dec_Message'(Bytes, OptOrMand) ->
    'dec_Message'(Bytes, OptOrMand, []).

'dec_Message'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type INTEGER
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = ?RT_BER:decode_integer(Bytes2,[],[{tag,128,0,'IMPLICIT',0}], mandatory),

    %%-------------------------------------------------
    %% attribute number 2 with type MId
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_MId'(Bytes3,mandatory, [{tag,128,1,'EXPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type CHOICE
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = 'dec_Message_messageBody'(Bytes4,mandatory, [{tag,128,2,'EXPLICIT',0}]),

    {{'Message', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  MId
%%================================

'enc_MId'({'MId',Val}, TagIn) ->
    'enc_MId'(Val, TagIn);

'enc_MId'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    ip4Address ->
				'enc_IP4Address'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    ip6Address ->
				'enc_IP6Address'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    domainName ->
				'enc_DomainName'(element(2,Val), [{tag,128,2,'IMPLICIT',0}]);
			    deviceName ->
				'enc_PathName'(element(2,Val), [{tag,128,3,'IMPLICIT',0}]);
			    mtpAddress ->
				?RT_BER:encode_octet_string([], element(2,Val), [{tag,128,4,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,
    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_MId'(Bytes, OptOrMand) ->
    'dec_MId'(Bytes, OptOrMand, []).

'dec_MId'(Bytes, OptOrMand, TagIn) ->
    TagList = [{ip4Address,[{'CONTEXT',0}]},{ip6Address,[{'CONTEXT',1}]},{domainName,[{'CONTEXT',2}]},{deviceName,[{'CONTEXT',3}]},{mtpAddress,[{'CONTEXT',4}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),

    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'ip4Address' ->
	    {Dec, Rest, RbCho} = 'dec_IP4Address'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{ip4Address, Dec}, Rest, RbExp + RbCho};


	'ip6Address' ->
	    {Dec, Rest, RbCho} = 'dec_IP6Address'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{ip6Address, Dec}, Rest, RbExp + RbCho};

	'domainName' ->
	    {Dec, Rest, RbCho} = 'dec_DomainName'(Bytes1,mandatory, [{tag,128,2,'IMPLICIT',0}]),
	    {{domainName, Dec}, Rest, RbExp + RbCho};

	'deviceName' ->
	    {Dec, Rest, RbCho} = 'dec_PathName'(Bytes1,mandatory, [{tag,128,3,'IMPLICIT',0}]),
	    {{deviceName, Dec}, Rest, RbExp + RbCho};

	'mtpAddress' ->
	    {Dec, Rest, RbCho} = ?RT_BER:decode_octet_string(Bytes1,[],[{tag,128,4,'IMPLICIT',0}], no_length, mandatory),
	    {{mtpAddress, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.

%%================================
%%  DomainName
%%================================
'enc_DomainName'(DomainName, TagIn) ->
    {domainName, Val} = ?META_ENC(mid, {domainName, DomainName}),

    %%-------------------------------------------------
    %% attribute number 1 with type IA5String
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = ?RT_BER:encode_restricted_string([], ?RT_BER:cindex(2,Val,name), 22, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,portNumber) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(3,Val,portNumber), [{tag,128,1,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_DomainName'(Bytes, OptOrMand) ->
    'dec_DomainName'(Bytes, OptOrMand, []).

'dec_DomainName'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type IA5String
    %%-------------------------------------------------
    {DomainName,Bytes3,Rb2} = ?RT_BER:decode_restricted_string(Bytes2,[],22,[{tag,128,0,'IMPLICIT',0}], no_length, mandatory),
    {domainName, Term1} = ?META_DEC(mid, {domainName, DomainName}),

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch ?RT_BER:decode_integer(Bytes3,[],[{tag,128,1,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0};
			     Casetmp1-> Casetmp1
			 end,

    {{'DomainName', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  IP4Address
%%================================
'enc_IP4Address'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type OCTET STRING
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = ?RT_BER:encode_octet_string([], ?RT_BER:cindex(2,Val,address), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,portNumber) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(3,Val,portNumber), [{tag,128,1,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_IP4Address'(Bytes, OptOrMand) ->
    'dec_IP4Address'(Bytes, OptOrMand, []).

'dec_IP4Address'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type OCTET STRING
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = ?RT_BER:decode_octet_string(Bytes2,[],[{tag,128,0,'IMPLICIT',0}], no_length, mandatory),

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch ?RT_BER:decode_integer(Bytes3,[],[{tag,128,1,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0};
			     Casetmp1-> Casetmp1
			 end,

    {{'IP4Address', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  IP6Address
%%================================
'enc_IP6Address'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type OCTET STRING
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = ?RT_BER:encode_octet_string([], ?RT_BER:cindex(2,Val,address), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,portNumber) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(3,Val,portNumber), [{tag,128,1,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_IP6Address'(Bytes, OptOrMand) ->
    'dec_IP6Address'(Bytes, OptOrMand, []).

'dec_IP6Address'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type OCTET STRING
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = ?RT_BER:decode_octet_string(Bytes2,[],[{tag,128,0,'IMPLICIT',0}], no_length, mandatory),

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch ?RT_BER:decode_integer(Bytes3,[],[{tag,128,1,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0};
			     Casetmp1-> Casetmp1
			 end,

    {{'IP6Address', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  PathName
%%================================

'enc_PathName'({'PathName',Val}, TagIn) ->
    'enc_PathName'(Val, TagIn);

'enc_PathName'(DeviceName, TagIn) ->
    {deviceName, Val} = ?META_ENC(mid, {deviceName, DeviceName}),
    ?RT_BER:encode_restricted_string([], Val, 22, TagIn ++ []).


'dec_PathName'(Bytes, OptOrMand) ->
    'dec_PathName'(Bytes, OptOrMand, []).

'dec_PathName'(Bytes, OptOrMand, TagIn) ->
    {DeviceName, Bytes2, Rb} = 
	?RT_BER:decode_restricted_string(Bytes,[],22,TagIn++[], no_length, OptOrMand),
    {deviceName, Dec} = ?META_DEC(mid, {deviceName, DeviceName}),
    {Dec, Bytes2, Rb}.



%%================================
%%  Transaction
%%================================

'enc_Transaction'({'Transaction',Val}, TagIn) ->
    'enc_Transaction'(Val, TagIn);

'enc_Transaction'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    transactionRequest ->
				'enc_TransactionRequest'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    transactionPending ->
				'enc_TransactionPending'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    transactionReply ->
				'enc_TransactionReply'(element(2,Val), [{tag,128,2,'IMPLICIT',0}]);
			    transactionResponseAck ->
				'enc_TransactionResponseAck'(element(2,Val), [{tag,128,3,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_Transaction'(Bytes, OptOrMand) ->
    'dec_Transaction'(Bytes, OptOrMand, []).

'dec_Transaction'(Bytes, OptOrMand, TagIn) ->
    TagList = [{transactionRequest,[{'CONTEXT',0}]},{transactionPending,[{'CONTEXT',1}]},{transactionReply,[{'CONTEXT',2}]},{transactionResponseAck,[{'CONTEXT',3}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'transactionRequest' ->
	    {Dec, Rest, RbCho} = 'dec_TransactionRequest'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{transactionRequest, Dec}, Rest, RbExp + RbCho};

	'transactionPending' ->
	    {Dec, Rest, RbCho} = 'dec_TransactionPending'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{transactionPending, Dec}, Rest, RbExp + RbCho};

	'transactionReply' ->
	    {Dec, Rest, RbCho} = 'dec_TransactionReply'(Bytes1,mandatory, [{tag,128,2,'IMPLICIT',0}]),
	    {{transactionReply, Dec}, Rest, RbExp + RbCho};

	'transactionResponseAck' ->
	    {Dec, Rest, RbCho} = 'dec_TransactionResponseAck'(Bytes1,mandatory, [{tag,128,3,'IMPLICIT',0}]),
	    {{transactionResponseAck, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


%%================================
%%  TransactionId
%%================================

'enc_TransactionId'({'TransactionId',Val}, TagIn) ->
    'enc_TransactionId'(Val, TagIn);

'enc_TransactionId'(Val, TagIn) ->
    ?RT_BER:encode_integer([], Val, TagIn ++ []).


'dec_TransactionId'(Bytes, OptOrMand) ->
    'dec_TransactionId'(Bytes, OptOrMand, []).

'dec_TransactionId'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_integer(Bytes,[],TagIn++[], OptOrMand).



%%================================
%%  TransactionRequest
%%================================
'enc_TransactionRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TransactionId
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TransactionId'(?RT_BER:cindex(2,Val,transactionId), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_TransactionRequest_actions'(?RT_BER:cindex(3,Val,actions), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  TransactionRequest_actions
%%================================

'enc_TransactionRequest_actions'({'TransactionRequest_actions',Val}, TagIn) ->
    'enc_TransactionRequest_actions'(Val, TagIn);

'enc_TransactionRequest_actions'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_TransactionRequest_actions_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_TransactionRequest_actions_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_TransactionRequest_actions_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_ActionRequest'(H, []),
    'enc_TransactionRequest_actions_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_TransactionRequest_actions'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_ActionRequest'/3, [], []).




'dec_TransactionRequest'(Bytes, OptOrMand) ->
    'dec_TransactionRequest'(Bytes, OptOrMand, []).

'dec_TransactionRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TransactionId
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TransactionId'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_TransactionRequest_actions'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'TransactionRequest', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  TransactionPending
%%================================
'enc_TransactionPending'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TransactionId
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TransactionId'(?RT_BER:cindex(2,Val,transactionId), [{tag,128,0,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1],
    LenSoFar = EncLen1,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_TransactionPending'(Bytes, OptOrMand) ->
    'dec_TransactionPending'(Bytes, OptOrMand, []).

'dec_TransactionPending'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TransactionId
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TransactionId'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    {{'TransactionPending', Term1}, ?RT_BER:restbytes(RemBytes, Bytes3,noext),
     Rb1+Rb2}.


%%================================
%%  TransactionReply
%%================================
'enc_TransactionReply'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TransactionId
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TransactionId'(?RT_BER:cindex(2,Val,transactionId), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type NULL OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,immAckRequired) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_null(?RT_BER:cindex(3,Val,immAckRequired), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type CHOICE
    %%-------------------------------------------------
    {EncBytes3,EncLen3} = 'enc_TransactionReply_transactionResult'(?RT_BER:cindex(4,Val,transactionResult), [{tag,128,2,'EXPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  TransactionReply_transactionResult
%%================================

'enc_TransactionReply_transactionResult'({'TransactionReply_transactionResult',Val}, TagIn) ->
    'enc_TransactionReply_transactionResult'(Val, TagIn);

'enc_TransactionReply_transactionResult'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    transactionError ->
				'enc_ErrorDescriptor'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    actionReplies ->
				'enc_TransactionReply_transactionResult_actionReplies'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).





%%================================
%%  TransactionReply_transactionResult_actionReplies
%%================================

'enc_TransactionReply_transactionResult_actionReplies'({'TransactionReply_transactionResult_actionReplies',Val}, TagIn) ->
    'enc_TransactionReply_transactionResult_actionReplies'(Val, TagIn);

'enc_TransactionReply_transactionResult_actionReplies'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_TransactionReply_transactionResult_actionReplies_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_TransactionReply_transactionResult_actionReplies_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_TransactionReply_transactionResult_actionReplies_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_ActionReply'(H, []),
    'enc_TransactionReply_transactionResult_actionReplies_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_TransactionReply_transactionResult_actionReplies'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_ActionReply'/3, [], []).


'dec_TransactionReply_transactionResult'(Bytes, OptOrMand, TagIn) ->
    TagList = [{transactionError,[{'CONTEXT',0}]},{actionReplies,[{'CONTEXT',1}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'transactionError' ->
	    {Dec, Rest, RbCho} = 'dec_ErrorDescriptor'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{transactionError, Dec}, Rest, RbExp + RbCho};

	'actionReplies' ->
	    {Dec, Rest, RbCho} = 'dec_TransactionReply_transactionResult_actionReplies'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{actionReplies, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


'dec_TransactionReply'(Bytes, OptOrMand) ->
    'dec_TransactionReply'(Bytes, OptOrMand, []).

'dec_TransactionReply'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TransactionId
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TransactionId'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type NULL OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch ?RT_BER:decode_null(Bytes3,[{tag,128,1,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0};
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type CHOICE
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = 'dec_TransactionReply_transactionResult'(Bytes4,mandatory, [{tag,128,2,'EXPLICIT',0}]),

    {{'TransactionReply', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  TransactionResponseAck
%%================================
'enc_TransactionResponseAck'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TransactionId
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TransactionId'(?RT_BER:cindex(2,Val,firstAck), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type TransactionId OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,lastAck) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_TransactionId'(?RT_BER:cindex(3,Val,lastAck), [{tag,128,1,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_TransactionResponseAck'(Bytes, OptOrMand) ->
    'dec_TransactionResponseAck'(Bytes, OptOrMand, []).

'dec_TransactionResponseAck'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TransactionId
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TransactionId'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type TransactionId OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_TransactionId'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    {{'TransactionResponseAck', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  ErrorDescriptor
%%================================
'enc_ErrorDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type ErrorCode
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_ErrorCode'(?RT_BER:cindex(2,Val,errorCode), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ErrorText OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,errorText) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ErrorText'(?RT_BER:cindex(3,Val,errorText), [{tag,128,1,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_ErrorDescriptor'(Bytes, OptOrMand) ->
    'dec_ErrorDescriptor'(Bytes, OptOrMand, []).

'dec_ErrorDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type ErrorCode
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_ErrorCode'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ErrorText OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_ErrorText'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    {{'ErrorDescriptor', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  ErrorCode
%%================================

'enc_ErrorCode'({'ErrorCode',Val}, TagIn) ->
    'enc_ErrorCode'(Val, TagIn);

'enc_ErrorCode'(Val, TagIn) ->
    ?RT_BER:encode_integer([], Val, TagIn ++ []).


'dec_ErrorCode'(Bytes, OptOrMand) ->
    'dec_ErrorCode'(Bytes, OptOrMand, []).

'dec_ErrorCode'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_integer(Bytes,[],TagIn++[], OptOrMand).



%%================================
%%  ErrorText
%%================================

'enc_ErrorText'({'ErrorText',Val}, TagIn) ->
    'enc_ErrorText'(Val, TagIn);

'enc_ErrorText'(Val, TagIn) ->
    ?RT_BER:encode_restricted_string([], Val, 22, TagIn ++ []).


'dec_ErrorText'(Bytes, OptOrMand) ->
    'dec_ErrorText'(Bytes, OptOrMand, []).

'dec_ErrorText'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_restricted_string(Bytes,[],22,TagIn++[], no_length, OptOrMand).



%%================================
%%  ContextID
%%================================

'enc_ContextID'({'ContextID',Val}, TagIn) ->
    'enc_ContextID'(Val, TagIn);

'enc_ContextID'(Val, TagIn) ->
    ?RT_BER:encode_integer([], Val, TagIn ++ []).


'dec_ContextID'(Bytes, OptOrMand) ->
    'dec_ContextID'(Bytes, OptOrMand, []).

'dec_ContextID'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_integer(Bytes,[],TagIn++[], OptOrMand).



%%================================
%%  ActionRequest
%%================================
'enc_ActionRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type ContextID
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_ContextID'(?RT_BER:cindex(2,Val,contextId), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ContextRequest OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,contextRequest) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ContextRequest'(?RT_BER:cindex(3,Val,contextRequest), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type ContextAttrAuditRequest OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,contextAttrAuditReq) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ContextAttrAuditRequest'(?RT_BER:cindex(4,Val,contextAttrAuditReq), [{tag,128,2,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 4 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes4,EncLen4} = 'enc_ActionRequest_commandRequests'(?RT_BER:cindex(5,Val,commandRequests), [{tag,128,3,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  ActionRequest_commandRequests
%%================================

'enc_ActionRequest_commandRequests'({'ActionRequest_commandRequests',Val}, TagIn) ->
    'enc_ActionRequest_commandRequests'(Val, TagIn);

'enc_ActionRequest_commandRequests'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_ActionRequest_commandRequests_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_ActionRequest_commandRequests_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_ActionRequest_commandRequests_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_CommandRequest'(H, []),
    'enc_ActionRequest_commandRequests_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_ActionRequest_commandRequests'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_CommandRequest'/3, [], []).




'dec_ActionRequest'(Bytes, OptOrMand) ->
    'dec_ActionRequest'(Bytes, OptOrMand, []).

'dec_ActionRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type ContextID
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_ContextID'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ContextRequest OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_ContextRequest'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type ContextAttrAuditRequest OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_ContextAttrAuditRequest'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 4 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = 'dec_ActionRequest_commandRequests'(Bytes5,mandatory, [{tag,128,3,'IMPLICIT',0}]),

    {{'ActionRequest', Term1, Term2, Term3, Term4}, ?RT_BER:restbytes(RemBytes, Bytes6,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5}.


%%================================
%%  ActionReply
%%================================
'enc_ActionReply'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type ContextID
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_ContextID'(?RT_BER:cindex(2,Val,contextId), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ErrorDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,errorDescriptor) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ErrorDescriptor'(?RT_BER:cindex(3,Val,errorDescriptor), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type ContextRequest OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,contextReply) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ContextRequest'(?RT_BER:cindex(4,Val,contextReply), [{tag,128,2,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 4 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes4,EncLen4} = 'enc_ActionReply_commandReply'(?RT_BER:cindex(5,Val,commandReply), [{tag,128,3,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  ActionReply_commandReply
%%================================

'enc_ActionReply_commandReply'({'ActionReply_commandReply',Val}, TagIn) ->
    'enc_ActionReply_commandReply'(Val, TagIn);

'enc_ActionReply_commandReply'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_ActionReply_commandReply_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_ActionReply_commandReply_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_ActionReply_commandReply_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_CommandReply'(H, []),
    'enc_ActionReply_commandReply_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_ActionReply_commandReply'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_CommandReply'/3, [], []).




'dec_ActionReply'(Bytes, OptOrMand) ->
    'dec_ActionReply'(Bytes, OptOrMand, []).

'dec_ActionReply'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type ContextID
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_ContextID'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ErrorDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_ErrorDescriptor'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type ContextRequest OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_ContextRequest'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 4 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = 'dec_ActionReply_commandReply'(Bytes5,mandatory, [{tag,128,3,'IMPLICIT',0}]),

    {{'ActionReply', Term1, Term2, Term3, Term4}, ?RT_BER:restbytes(RemBytes, Bytes6,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5}.


%%================================
%%  ContextRequest
%%================================
'enc_ContextRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,priority) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(2,Val,priority), [{tag,128,0,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 2 with type BOOLEAN OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,emergency) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_boolean(?RT_BER:cindex(3,Val,emergency), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type SEQUENCE OF OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,topologyReq) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ContextRequest_topologyReq'(?RT_BER:cindex(4,Val,topologyReq), [{tag,128,2,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  ContextRequest_topologyReq
%%================================

'enc_ContextRequest_topologyReq'({'ContextRequest_topologyReq',Val}, TagIn) ->
    'enc_ContextRequest_topologyReq'(Val, TagIn);

'enc_ContextRequest_topologyReq'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_ContextRequest_topologyReq_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_ContextRequest_topologyReq_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_ContextRequest_topologyReq_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_TopologyRequest'(H, []),
    'enc_ContextRequest_topologyReq_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_ContextRequest_topologyReq'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_TopologyRequest'/3, [], []).




'dec_ContextRequest'(Bytes, OptOrMand) ->
    'dec_ContextRequest'(Bytes, OptOrMand, []).

'dec_ContextRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch ?RT_BER:decode_integer(Bytes2,[],[{tag,128,0,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0};
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 2 with type BOOLEAN OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch ?RT_BER:decode_boolean(Bytes3,[{tag,128,1,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0};
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type SEQUENCE OF OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_ContextRequest_topologyReq'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp3-> Casetmp3
			 end,

    {{'ContextRequest', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  ContextAttrAuditRequest
%%================================
'enc_ContextAttrAuditRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type NULL OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,topology) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_null(?RT_BER:cindex(2,Val,topology), [{tag,128,0,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 2 with type NULL OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,emergency) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_null(?RT_BER:cindex(3,Val,emergency), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type NULL OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,priority) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_null(?RT_BER:cindex(4,Val,priority), [{tag,128,2,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_ContextAttrAuditRequest'(Bytes, OptOrMand) ->
    'dec_ContextAttrAuditRequest'(Bytes, OptOrMand, []).

'dec_ContextAttrAuditRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type NULL OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch ?RT_BER:decode_null(Bytes2,[{tag,128,0,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0};
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 2 with type NULL OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch ?RT_BER:decode_null(Bytes3,[{tag,128,1,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0};
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type NULL OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch ?RT_BER:decode_null(Bytes4,[{tag,128,2,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0};
			     Casetmp3-> Casetmp3
			 end,

    {{'ContextAttrAuditRequest', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  CommandRequest
%%================================
'enc_CommandRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type Command
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_Command'(?RT_BER:cindex(2,Val,command), [{tag,128,0,'EXPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type NULL OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,optional) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_null(?RT_BER:cindex(3,Val,optional), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type NULL OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,wildcardReturn) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_null(?RT_BER:cindex(4,Val,wildcardReturn), [{tag,128,2,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_CommandRequest'(Bytes, OptOrMand) ->
    'dec_CommandRequest'(Bytes, OptOrMand, []).

'dec_CommandRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type Command
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_Command'(Bytes2,mandatory, [{tag,128,0,'EXPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type NULL OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch ?RT_BER:decode_null(Bytes3,[{tag,128,1,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0};
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type NULL OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch ?RT_BER:decode_null(Bytes4,[{tag,128,2,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0};
			     Casetmp2-> Casetmp2
			 end,

    {{'CommandRequest', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  Command
%%================================

'enc_Command'({'Command',Val}, TagIn) ->
    'enc_Command'(Val, TagIn);

'enc_Command'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    addReq ->
				'enc_AmmRequest'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    moveReq ->
				'enc_AmmRequest'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    modReq ->
				'enc_AmmRequest'(element(2,Val), [{tag,128,2,'IMPLICIT',0}]);
			    subtractReq ->
				'enc_SubtractRequest'(element(2,Val), [{tag,128,3,'IMPLICIT',0}]);
			    auditCapRequest ->
				'enc_AuditRequest'(element(2,Val), [{tag,128,4,'IMPLICIT',0}]);
			    auditValueRequest ->
				'enc_AuditRequest'(element(2,Val), [{tag,128,5,'IMPLICIT',0}]);
			    notifyReq ->
				'enc_NotifyRequest'(element(2,Val), [{tag,128,6,'IMPLICIT',0}]);
			    serviceChangeReq ->
				'enc_ServiceChangeRequest'(element(2,Val), [{tag,128,7,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_Command'(Bytes, OptOrMand) ->
    'dec_Command'(Bytes, OptOrMand, []).

'dec_Command'(Bytes, OptOrMand, TagIn) ->
    TagList = [{addReq,[{'CONTEXT',0}]},{moveReq,[{'CONTEXT',1}]},{modReq,[{'CONTEXT',2}]},{subtractReq,[{'CONTEXT',3}]},{auditCapRequest,[{'CONTEXT',4}]},{auditValueRequest,[{'CONTEXT',5}]},{notifyReq,[{'CONTEXT',6}]},{serviceChangeReq,[{'CONTEXT',7}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'addReq' ->
	    {Dec, Rest, RbCho} = 'dec_AmmRequest'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{addReq, Dec}, Rest, RbExp + RbCho};

	'moveReq' ->
	    {Dec, Rest, RbCho} = 'dec_AmmRequest'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{moveReq, Dec}, Rest, RbExp + RbCho};

	'modReq' ->
	    {Dec, Rest, RbCho} = 'dec_AmmRequest'(Bytes1,mandatory, [{tag,128,2,'IMPLICIT',0}]),
	    {{modReq, Dec}, Rest, RbExp + RbCho};

	'subtractReq' ->
	    {Dec, Rest, RbCho} = 'dec_SubtractRequest'(Bytes1,mandatory, [{tag,128,3,'IMPLICIT',0}]),
	    {{subtractReq, Dec}, Rest, RbExp + RbCho};

	'auditCapRequest' ->
	    {Dec, Rest, RbCho} = 'dec_AuditRequest'(Bytes1,mandatory, [{tag,128,4,'IMPLICIT',0}]),
	    {{auditCapRequest, Dec}, Rest, RbExp + RbCho};

	'auditValueRequest' ->
	    {Dec, Rest, RbCho} = 'dec_AuditRequest'(Bytes1,mandatory, [{tag,128,5,'IMPLICIT',0}]),
	    {{auditValueRequest, Dec}, Rest, RbExp + RbCho};

	'notifyReq' ->
	    {Dec, Rest, RbCho} = 'dec_NotifyRequest'(Bytes1,mandatory, [{tag,128,6,'IMPLICIT',0}]),
	    {{notifyReq, Dec}, Rest, RbExp + RbCho};

	'serviceChangeReq' ->
	    {Dec, Rest, RbCho} = 'dec_ServiceChangeRequest'(Bytes1,mandatory, [{tag,128,7,'IMPLICIT',0}]),
	    {{serviceChangeReq, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


%%================================
%%  CommandReply
%%================================

'enc_CommandReply'({'CommandReply',Val}, TagIn) ->
    'enc_CommandReply'(Val, TagIn);

'enc_CommandReply'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    addReply ->
				'enc_AmmsReply'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    moveReply ->
				'enc_AmmsReply'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    modReply ->
				'enc_AmmsReply'(element(2,Val), [{tag,128,2,'IMPLICIT',0}]);
			    subtractReply ->
				'enc_AmmsReply'(element(2,Val), [{tag,128,3,'IMPLICIT',0}]);
			    auditCapReply ->
				'enc_AuditReply'(element(2,Val), [{tag,128,4,'IMPLICIT',0}]);
			    auditValueReply ->
				'enc_AuditReply'(element(2,Val), [{tag,128,5,'IMPLICIT',0}]);
			    notifyReply ->
				'enc_NotifyReply'(element(2,Val), [{tag,128,6,'IMPLICIT',0}]);
			    serviceChangeReply ->
				'enc_ServiceChangeReply'(element(2,Val), [{tag,128,7,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_CommandReply'(Bytes, OptOrMand) ->
    'dec_CommandReply'(Bytes, OptOrMand, []).

'dec_CommandReply'(Bytes, OptOrMand, TagIn) ->
    TagList = [{addReply,[{'CONTEXT',0}]},{moveReply,[{'CONTEXT',1}]},{modReply,[{'CONTEXT',2}]},{subtractReply,[{'CONTEXT',3}]},{auditCapReply,[{'CONTEXT',4}]},{auditValueReply,[{'CONTEXT',5}]},{notifyReply,[{'CONTEXT',6}]},{serviceChangeReply,[{'CONTEXT',7}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'addReply' ->
	    {Dec, Rest, RbCho} = 'dec_AmmsReply'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{addReply, Dec}, Rest, RbExp + RbCho};

	'moveReply' ->
	    {Dec, Rest, RbCho} = 'dec_AmmsReply'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{moveReply, Dec}, Rest, RbExp + RbCho};

	'modReply' ->
	    {Dec, Rest, RbCho} = 'dec_AmmsReply'(Bytes1,mandatory, [{tag,128,2,'IMPLICIT',0}]),
	    {{modReply, Dec}, Rest, RbExp + RbCho};

	'subtractReply' ->
	    {Dec, Rest, RbCho} = 'dec_AmmsReply'(Bytes1,mandatory, [{tag,128,3,'IMPLICIT',0}]),
	    {{subtractReply, Dec}, Rest, RbExp + RbCho};

	'auditCapReply' ->
	    {Dec, Rest, RbCho} = 'dec_AuditReply'(Bytes1,mandatory, [{tag,128,4,'IMPLICIT',0}]),
	    {{auditCapReply, Dec}, Rest, RbExp + RbCho};

	'auditValueReply' ->
	    {Dec, Rest, RbCho} = 'dec_AuditReply'(Bytes1,mandatory, [{tag,128,5,'IMPLICIT',0}]),
	    {{auditValueReply, Dec}, Rest, RbExp + RbCho};

	'notifyReply' ->
	    {Dec, Rest, RbCho} = 'dec_NotifyReply'(Bytes1,mandatory, [{tag,128,6,'IMPLICIT',0}]),
	    {{notifyReply, Dec}, Rest, RbExp + RbCho};

	'serviceChangeReply' ->
	    {Dec, Rest, RbCho} = 'dec_ServiceChangeReply'(Bytes1,mandatory, [{tag,128,7,'IMPLICIT',0}]),
	    {{serviceChangeReply, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


%%================================
%%  TopologyRequest
%%================================
'enc_TopologyRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationID
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationID'(?RT_BER:cindex(2,Val,terminationFrom), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type TerminationID
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_TerminationID'(?RT_BER:cindex(3,Val,terminationTo), [{tag,128,1,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type ENUMERATED
    %%-------------------------------------------------
    {EncBytes3,EncLen3} = ?RT_BER:encode_enumerated([], ?RT_BER:cindex(4,Val,topologyDirection), [{bothway,0},{isolate,1},{oneway,2}], [{tag,128,2,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_TopologyRequest'(Bytes, OptOrMand) ->
    'dec_TopologyRequest'(Bytes, OptOrMand, []).

'dec_TopologyRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationID
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationID'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type TerminationID
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_TerminationID'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type ENUMERATED
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = ?RT_BER:decode_enumerated(Bytes4,[],[{bothway,0},{isolate,1},{oneway,2}],[{tag,128,2,'IMPLICIT',0}], mandatory),

    {{'TopologyRequest', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  AmmRequest
%%================================
'enc_AmmRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationIDList'(?RT_BER:cindex(2,Val,terminationID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_AmmRequest_descriptors'(?RT_BER:cindex(3,Val,descriptors), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  AmmRequest_descriptors
%%================================

'enc_AmmRequest_descriptors'({'AmmRequest_descriptors',Val}, TagIn) ->
    'enc_AmmRequest_descriptors'(Val, TagIn);

'enc_AmmRequest_descriptors'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_AmmRequest_descriptors_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_AmmRequest_descriptors_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_AmmRequest_descriptors_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_AmmDescriptor'(H, []),
    'enc_AmmRequest_descriptors_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_AmmRequest_descriptors'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_AmmDescriptor'/3, [], []).




'dec_AmmRequest'(Bytes, OptOrMand) ->
    'dec_AmmRequest'(Bytes, OptOrMand, []).

'dec_AmmRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationIDList'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_AmmRequest_descriptors'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'AmmRequest', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  AmmDescriptor
%%================================

'enc_AmmDescriptor'({'AmmDescriptor',Val}, TagIn) ->
    'enc_AmmDescriptor'(Val, TagIn);

'enc_AmmDescriptor'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    mediaDescriptor ->
				'enc_MediaDescriptor'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    modemDescriptor ->
				'enc_ModemDescriptor'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    muxDescriptor ->
				'enc_MuxDescriptor'(element(2,Val), [{tag,128,2,'IMPLICIT',0}]);
			    eventsDescriptor ->
				'enc_EventsDescriptor'(element(2,Val), [{tag,128,3,'IMPLICIT',0}]);
			    eventBufferDescriptor ->
				'enc_EventBufferDescriptor'(element(2,Val), [{tag,128,4,'IMPLICIT',0}]);
			    signalsDescriptor ->
				'enc_SignalsDescriptor'(element(2,Val), [{tag,128,5,'IMPLICIT',0}]);
			    digitMapDescriptor ->
				'enc_DigitMapDescriptor'(element(2,Val), [{tag,128,6,'IMPLICIT',0}]);
			    auditDescriptor ->
				'enc_AuditDescriptor'(element(2,Val), [{tag,128,7,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_AmmDescriptor'(Bytes, OptOrMand) ->
    'dec_AmmDescriptor'(Bytes, OptOrMand, []).

'dec_AmmDescriptor'(Bytes, OptOrMand, TagIn) ->
    TagList = [{mediaDescriptor,[{'CONTEXT',0}]},{modemDescriptor,[{'CONTEXT',1}]},{muxDescriptor,[{'CONTEXT',2}]},{eventsDescriptor,[{'CONTEXT',3}]},{eventBufferDescriptor,[{'CONTEXT',4}]},{signalsDescriptor,[{'CONTEXT',5}]},{digitMapDescriptor,[{'CONTEXT',6}]},{auditDescriptor,[{'CONTEXT',7}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'mediaDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_MediaDescriptor'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{mediaDescriptor, Dec}, Rest, RbExp + RbCho};

	'modemDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_ModemDescriptor'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{modemDescriptor, Dec}, Rest, RbExp + RbCho};

	'muxDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_MuxDescriptor'(Bytes1,mandatory, [{tag,128,2,'IMPLICIT',0}]),
	    {{muxDescriptor, Dec}, Rest, RbExp + RbCho};

	'eventsDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_EventsDescriptor'(Bytes1,mandatory, [{tag,128,3,'IMPLICIT',0}]),
	    {{eventsDescriptor, Dec}, Rest, RbExp + RbCho};

	'eventBufferDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_EventBufferDescriptor'(Bytes1,mandatory, [{tag,128,4,'IMPLICIT',0}]),
	    {{eventBufferDescriptor, Dec}, Rest, RbExp + RbCho};

	'signalsDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_SignalsDescriptor'(Bytes1,mandatory, [{tag,128,5,'IMPLICIT',0}]),
	    {{signalsDescriptor, Dec}, Rest, RbExp + RbCho};

	'digitMapDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_DigitMapDescriptor'(Bytes1,mandatory, [{tag,128,6,'IMPLICIT',0}]),
	    {{digitMapDescriptor, Dec}, Rest, RbExp + RbCho};

	'auditDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_AuditDescriptor'(Bytes1,mandatory, [{tag,128,7,'IMPLICIT',0}]),
	    {{auditDescriptor, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


%%================================
%%  AmmsReply
%%================================
'enc_AmmsReply'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationIDList'(?RT_BER:cindex(2,Val,terminationID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type TerminationAudit OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,terminationAudit) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_TerminationAudit'(?RT_BER:cindex(3,Val,terminationAudit), [{tag,128,1,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_AmmsReply'(Bytes, OptOrMand) ->
    'dec_AmmsReply'(Bytes, OptOrMand, []).

'dec_AmmsReply'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationIDList'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type TerminationAudit OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_TerminationAudit'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    {{'AmmsReply', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  SubtractRequest
%%================================
'enc_SubtractRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationIDList'(?RT_BER:cindex(2,Val,terminationID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type AuditDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,auditDescriptor) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_AuditDescriptor'(?RT_BER:cindex(3,Val,auditDescriptor), [{tag,128,1,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_SubtractRequest'(Bytes, OptOrMand) ->
    'dec_SubtractRequest'(Bytes, OptOrMand, []).

'dec_SubtractRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationIDList'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type AuditDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_AuditDescriptor'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    {{'SubtractRequest', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  AuditRequest
%%================================
'enc_AuditRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationID
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationID'(?RT_BER:cindex(2,Val,terminationID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type AuditDescriptor
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_AuditDescriptor'(?RT_BER:cindex(3,Val,auditDescriptor), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_AuditRequest'(Bytes, OptOrMand) ->
    'dec_AuditRequest'(Bytes, OptOrMand, []).

'dec_AuditRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationID
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationID'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type AuditDescriptor
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_AuditDescriptor'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'AuditRequest', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  AuditReply
%%================================
'enc_AuditReply'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationID
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationID'(?RT_BER:cindex(2,Val,terminationID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type AuditResult
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_AuditResult'(?RT_BER:cindex(3,Val,auditResult), [{tag,128,1,'EXPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_AuditReply'(Bytes, OptOrMand) ->
    'dec_AuditReply'(Bytes, OptOrMand, []).

'dec_AuditReply'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationID
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationID'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type AuditResult
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_AuditResult'(Bytes3,mandatory, [{tag,128,1,'EXPLICIT',0}]),

    {{'AuditReply', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  AuditResult
%%================================

'enc_AuditResult'({'AuditResult',Val}, TagIn) ->
    'enc_AuditResult'(Val, TagIn);

'enc_AuditResult'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    contextAuditResult ->
				'enc_TerminationIDList'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    terminationAuditResult ->
				'enc_TerminationAudit'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_AuditResult'(Bytes, OptOrMand) ->
    'dec_AuditResult'(Bytes, OptOrMand, []).

'dec_AuditResult'(Bytes, OptOrMand, TagIn) ->
    TagList = [{contextAuditResult,[{'CONTEXT',0}]},{terminationAuditResult,[{'CONTEXT',1}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'contextAuditResult' ->
	    {Dec, Rest, RbCho} = 'dec_TerminationIDList'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{contextAuditResult, Dec}, Rest, RbExp + RbCho};

	'terminationAuditResult' ->
	    {Dec, Rest, RbCho} = 'dec_TerminationAudit'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{terminationAuditResult, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


%%================================
%%  TerminationAudit
%%================================

'enc_TerminationAudit'({'TerminationAudit',Val}, TagIn) ->
    'enc_TerminationAudit'(Val, TagIn);

'enc_TerminationAudit'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_TerminationAudit_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_TerminationAudit_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_TerminationAudit_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_AuditReturnParameter'(H, []),
    'enc_TerminationAudit_components'(T,[EncBytes|AccBytes], AccLen + EncLen).



'dec_TerminationAudit'(Bytes, OptOrMand) ->
    'dec_TerminationAudit'(Bytes, OptOrMand, []).

'dec_TerminationAudit'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_AuditReturnParameter'/3, [], []).




%%================================
%%  AuditReturnParameter
%%================================

'enc_AuditReturnParameter'({'AuditReturnParameter',Val}, TagIn) ->
    'enc_AuditReturnParameter'(Val, TagIn);

'enc_AuditReturnParameter'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    errorDescriptor ->
				'enc_ErrorDescriptor'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    mediaDescriptor ->
				'enc_MediaDescriptor'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    modemDescriptor ->
				'enc_ModemDescriptor'(element(2,Val), [{tag,128,2,'IMPLICIT',0}]);
			    muxDescriptor ->
				'enc_MuxDescriptor'(element(2,Val), [{tag,128,3,'IMPLICIT',0}]);
			    eventsDescriptor ->
				'enc_EventsDescriptor'(element(2,Val), [{tag,128,4,'IMPLICIT',0}]);
			    eventBufferDescriptor ->
				'enc_EventBufferDescriptor'(element(2,Val), [{tag,128,5,'IMPLICIT',0}]);
			    signalsDescriptor ->
				'enc_SignalsDescriptor'(element(2,Val), [{tag,128,6,'IMPLICIT',0}]);
			    digitMapDescriptor ->
				'enc_DigitMapDescriptor'(element(2,Val), [{tag,128,7,'IMPLICIT',0}]);
			    observedEventsDescriptor ->
				'enc_ObservedEventsDescriptor'(element(2,Val), [{tag,128,8,'IMPLICIT',0}]);
			    statisticsDescriptor ->
				'enc_StatisticsDescriptor'(element(2,Val), [{tag,128,9,'IMPLICIT',0}]);
			    packagesDescriptor ->
				'enc_PackagesDescriptor'(element(2,Val), [{tag,128,10,'IMPLICIT',0}]);
			    emptyDescriptors ->
				'enc_AuditDescriptor'(element(2,Val), [{tag,128,11,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_AuditReturnParameter'(Bytes, OptOrMand) ->
    'dec_AuditReturnParameter'(Bytes, OptOrMand, []).

'dec_AuditReturnParameter'(Bytes, OptOrMand, TagIn) ->
    TagList = [{errorDescriptor,[{'CONTEXT',0}]},{mediaDescriptor,[{'CONTEXT',1}]},{modemDescriptor,[{'CONTEXT',2}]},{muxDescriptor,[{'CONTEXT',3}]},{eventsDescriptor,[{'CONTEXT',4}]},{eventBufferDescriptor,[{'CONTEXT',5}]},{signalsDescriptor,[{'CONTEXT',6}]},{digitMapDescriptor,[{'CONTEXT',7}]},{observedEventsDescriptor,[{'CONTEXT',8}]},{statisticsDescriptor,[{'CONTEXT',9}]},{packagesDescriptor,[{'CONTEXT',10}]},{emptyDescriptors,[{'CONTEXT',11}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'errorDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_ErrorDescriptor'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{errorDescriptor, Dec}, Rest, RbExp + RbCho};

	'mediaDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_MediaDescriptor'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{mediaDescriptor, Dec}, Rest, RbExp + RbCho};

	'modemDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_ModemDescriptor'(Bytes1,mandatory, [{tag,128,2,'IMPLICIT',0}]),
	    {{modemDescriptor, Dec}, Rest, RbExp + RbCho};

	'muxDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_MuxDescriptor'(Bytes1,mandatory, [{tag,128,3,'IMPLICIT',0}]),
	    {{muxDescriptor, Dec}, Rest, RbExp + RbCho};

	'eventsDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_EventsDescriptor'(Bytes1,mandatory, [{tag,128,4,'IMPLICIT',0}]),
	    {{eventsDescriptor, Dec}, Rest, RbExp + RbCho};

	'eventBufferDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_EventBufferDescriptor'(Bytes1,mandatory, [{tag,128,5,'IMPLICIT',0}]),
	    {{eventBufferDescriptor, Dec}, Rest, RbExp + RbCho};

	'signalsDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_SignalsDescriptor'(Bytes1,mandatory, [{tag,128,6,'IMPLICIT',0}]),
	    {{signalsDescriptor, Dec}, Rest, RbExp + RbCho};

	'digitMapDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_DigitMapDescriptor'(Bytes1,mandatory, [{tag,128,7,'IMPLICIT',0}]),
	    {{digitMapDescriptor, Dec}, Rest, RbExp + RbCho};

	'observedEventsDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_ObservedEventsDescriptor'(Bytes1,mandatory, [{tag,128,8,'IMPLICIT',0}]),
	    {{observedEventsDescriptor, Dec}, Rest, RbExp + RbCho};

	'statisticsDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_StatisticsDescriptor'(Bytes1,mandatory, [{tag,128,9,'IMPLICIT',0}]),
	    {{statisticsDescriptor, Dec}, Rest, RbExp + RbCho};

	'packagesDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_PackagesDescriptor'(Bytes1,mandatory, [{tag,128,10,'IMPLICIT',0}]),
	    {{packagesDescriptor, Dec}, Rest, RbExp + RbCho};

	'emptyDescriptors' ->
	    {Dec, Rest, RbCho} = 'dec_AuditDescriptor'(Bytes1,mandatory, [{tag,128,11,'IMPLICIT',0}]),
	    {{emptyDescriptors, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


%%================================
%%  AuditDescriptor
%%================================
'enc_AuditDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type BIT STRING OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,auditToken) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_bit_string([], ?RT_BER:cindex(2,Val,auditToken), [{muxToken,0},{modemToken,1},{mediaToken,2},{eventsToken,3},{signalsToken,4},{digitMapToken,5},{statsToken,6},{observedEventsToken,7},{packagesToken,8},{eventBufferToken,9}], [{tag,128,0,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1],
    LenSoFar = EncLen1,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_AuditDescriptor'(Bytes, OptOrMand) ->
    'dec_AuditDescriptor'(Bytes, OptOrMand, []).

'dec_AuditDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type BIT STRING OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch ?RT_BER:decode_bit_string(Bytes2,[],[{muxToken,0},{modemToken,1},{mediaToken,2},{eventsToken,3},{signalsToken,4},{digitMapToken,5},{statsToken,6},{observedEventsToken,7},{packagesToken,8},{eventBufferToken,9}],[{tag,128,0,'IMPLICIT',0}], no_length, opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0};
			     Casetmp1-> Casetmp1
			 end,

    {{'AuditDescriptor', Term1}, ?RT_BER:restbytes(RemBytes, Bytes3,noext),
     Rb1+Rb2}.


%%================================
%%  NotifyRequest
%%================================
'enc_NotifyRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationIDList'(?RT_BER:cindex(2,Val,terminationID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ObservedEventsDescriptor
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_ObservedEventsDescriptor'(?RT_BER:cindex(3,Val,observedEventsDescriptor), [{tag,128,1,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type ErrorDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,errorDescriptor) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ErrorDescriptor'(?RT_BER:cindex(4,Val,errorDescriptor), [{tag,128,2,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_NotifyRequest'(Bytes, OptOrMand) ->
    'dec_NotifyRequest'(Bytes, OptOrMand, []).

'dec_NotifyRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationIDList'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ObservedEventsDescriptor
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_ObservedEventsDescriptor'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type ErrorDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_ErrorDescriptor'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp1-> Casetmp1
			 end,

    {{'NotifyRequest', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  NotifyReply
%%================================
'enc_NotifyReply'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,terminationID) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_TerminationIDList'(?RT_BER:cindex(2,Val,terminationID), [{tag,128,0,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 2 with type ErrorDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,errorDescriptor) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ErrorDescriptor'(?RT_BER:cindex(3,Val,errorDescriptor), [{tag,128,1,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_NotifyReply'(Bytes, OptOrMand) ->
    'dec_NotifyReply'(Bytes, OptOrMand, []).

'dec_NotifyReply'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch 'dec_TerminationIDList'(Bytes2,opt_or_default, [{tag,128,0,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 2 with type ErrorDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_ErrorDescriptor'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp2-> Casetmp2
			 end,

    {{'NotifyReply', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  ObservedEventsDescriptor
%%================================
'enc_ObservedEventsDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type RequestID
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_RequestID'(?RT_BER:cindex(2,Val,requestId), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_ObservedEventsDescriptor_observedEventLst'(?RT_BER:cindex(3,Val,observedEventLst), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  ObservedEventsDescriptor_observedEventLst
%%================================

'enc_ObservedEventsDescriptor_observedEventLst'({'ObservedEventsDescriptor_observedEventLst',Val}, TagIn) ->
    'enc_ObservedEventsDescriptor_observedEventLst'(Val, TagIn);

'enc_ObservedEventsDescriptor_observedEventLst'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_ObservedEventsDescriptor_observedEventLst_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_ObservedEventsDescriptor_observedEventLst_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_ObservedEventsDescriptor_observedEventLst_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_ObservedEvent'(H, []),
    'enc_ObservedEventsDescriptor_observedEventLst_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_ObservedEventsDescriptor_observedEventLst'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_ObservedEvent'/3, [], []).




'dec_ObservedEventsDescriptor'(Bytes, OptOrMand) ->
    'dec_ObservedEventsDescriptor'(Bytes, OptOrMand, []).

'dec_ObservedEventsDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type RequestID
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_RequestID'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_ObservedEventsDescriptor_observedEventLst'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'ObservedEventsDescriptor', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  ObservedEvent
%%================================
'enc_ObservedEvent'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type EventName
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_EventName'(?RT_BER:cindex(2,Val,eventName), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamID OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,streamID) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_StreamID'(?RT_BER:cindex(3,Val,streamID), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes3,EncLen3} = 'enc_ObservedEvent_eventParList'(?RT_BER:cindex(4,Val,eventParList), [{tag,128,2,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 4 with type TimeNotation OPTIONAL
    %%-------------------------------------------------
    {EncBytes4,EncLen4} =  case ?RT_BER:cindex(5,Val,timeNotation) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_TimeNotation'(?RT_BER:cindex(5,Val,timeNotation), [{tag,128,3,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  ObservedEvent_eventParList
%%================================

'enc_ObservedEvent_eventParList'({'ObservedEvent_eventParList',Val}, TagIn) ->
    'enc_ObservedEvent_eventParList'(Val, TagIn);

'enc_ObservedEvent_eventParList'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_ObservedEvent_eventParList_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_ObservedEvent_eventParList_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_ObservedEvent_eventParList_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_EventParameter'(H, []),
    'enc_ObservedEvent_eventParList_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_ObservedEvent_eventParList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_EventParameter'/3, [], []).




'dec_ObservedEvent'(Bytes, OptOrMand) ->
    'dec_ObservedEvent'(Bytes, OptOrMand, []).

'dec_ObservedEvent'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type EventName
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_EventName'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamID OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_StreamID'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = 'dec_ObservedEvent_eventParList'(Bytes4,mandatory, [{tag,128,2,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 4 with type TimeNotation OPTIONAL
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = case (catch 'dec_TimeNotation'(Bytes5,opt_or_default, [{tag,128,3,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes5, 0 };
			     Casetmp2-> Casetmp2
			 end,

    {{'ObservedEvent', Term1, Term2, Term3, Term4}, ?RT_BER:restbytes(RemBytes, Bytes6,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5}.


%%================================
%%  EventName
%%================================

'enc_EventName'({'EventName',Val}, TagIn) ->
    'enc_EventName'(Val, TagIn);

'enc_EventName'(Val, TagIn) ->
    PkgdName = ?META_ENC(event, Val),
    'enc_PkgdName'(PkgdName, TagIn ++ []).


'dec_EventName'(Bytes, OptOrMand) ->
    'dec_EventName'(Bytes, OptOrMand, []).

'dec_EventName'(Bytes, OptOrMand, TagIn) ->
    {PkgdName, Bytes1, Rb1}  = 'dec_PkgdName'(Bytes, OptOrMand, TagIn++[]),
    {?META_DEC(event, PkgdName), Bytes1, Rb1}.


%%================================
%%  EventParameter
%%================================
'enc_EventParameter'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type Name
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_Name'(?RT_BER:cindex(2,Val,eventParameterName), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type Value
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_Value'(?RT_BER:cindex(3,Val,value), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_EventParameter'(Bytes, OptOrMand) ->
    'dec_EventParameter'(Bytes, OptOrMand, []).

'dec_EventParameter'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type Name
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_Name'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type Value
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_Value'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'EventParameter', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  ServiceChangeRequest
%%================================
'enc_ServiceChangeRequest'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationIDList'(?RT_BER:cindex(2,Val,terminationID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ServiceChangeParm
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_ServiceChangeParm'(?RT_BER:cindex(3,Val,serviceChangeParms), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_ServiceChangeRequest'(Bytes, OptOrMand) ->
    'dec_ServiceChangeRequest'(Bytes, OptOrMand, []).

'dec_ServiceChangeRequest'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationIDList'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ServiceChangeParm
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_ServiceChangeParm'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'ServiceChangeRequest', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  ServiceChangeReply
%%================================
'enc_ServiceChangeReply'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationIDList'(?RT_BER:cindex(2,Val,terminationID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ServiceChangeResult
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_ServiceChangeResult'(?RT_BER:cindex(3,Val,serviceChangeResult), [{tag,128,1,'EXPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_ServiceChangeReply'(Bytes, OptOrMand) ->
    'dec_ServiceChangeReply'(Bytes, OptOrMand, []).

'dec_ServiceChangeReply'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationIDList
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationIDList'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ServiceChangeResult
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_ServiceChangeResult'(Bytes3,mandatory, [{tag,128,1,'EXPLICIT',0}]),

    {{'ServiceChangeReply', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  ServiceChangeResult
%%================================

'enc_ServiceChangeResult'({'ServiceChangeResult',Val}, TagIn) ->
    'enc_ServiceChangeResult'(Val, TagIn);

'enc_ServiceChangeResult'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    errorDescriptor ->
				'enc_ErrorDescriptor'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    serviceChangeResParms ->
				'enc_ServiceChangeResParm'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_ServiceChangeResult'(Bytes, OptOrMand) ->
    'dec_ServiceChangeResult'(Bytes, OptOrMand, []).

'dec_ServiceChangeResult'(Bytes, OptOrMand, TagIn) ->
    TagList = [{errorDescriptor,[{'CONTEXT',0}]},{serviceChangeResParms,[{'CONTEXT',1}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'errorDescriptor' ->
	    {Dec, Rest, RbCho} = 'dec_ErrorDescriptor'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{errorDescriptor, Dec}, Rest, RbExp + RbCho};

	'serviceChangeResParms' ->
	    {Dec, Rest, RbCho} = 'dec_ServiceChangeResParm'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{serviceChangeResParms, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


%%================================
%%  WildcardField
%%================================

'enc_WildcardField'({'WildcardField',Val}, TagIn) ->
    'enc_WildcardField'(Val, TagIn);

'enc_WildcardField'(Val, TagIn) ->
    ?RT_BER:encode_octet_string([], Val, TagIn ++ []).


'dec_WildcardField'(Bytes, OptOrMand) ->
    'dec_WildcardField'(Bytes, OptOrMand, []).

'dec_WildcardField'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_octet_string(Bytes,[],TagIn++[], no_length, OptOrMand).



%%================================
%%  TerminationID
%%================================

'enc_TerminationID'(InternalTermId, TagIn) ->
    ExternalTermId =  ?META_ENC(term_id, InternalTermId),
    'do_enc_TerminationID'(ExternalTermId, TagIn).

'do_enc_TerminationID'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationID_wildcard'(?RT_BER:cindex(2,Val,wildcard), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type OCTET STRING
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = ?RT_BER:encode_octet_string([], ?RT_BER:cindex(3,Val,id), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  TerminationID_wildcard
%%================================

'enc_TerminationID_wildcard'({'TerminationID_wildcard',Val}, TagIn) ->
    'enc_TerminationID_wildcard'(Val, TagIn);

'enc_TerminationID_wildcard'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_TerminationID_wildcard_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_TerminationID_wildcard_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_TerminationID_wildcard_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_WildcardField'(H, []),
    'enc_TerminationID_wildcard_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_TerminationID_wildcard'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_WildcardField'/3, [], []).


'dec_TerminationID'(Bytes, OptOrMand) ->
    'dec_TerminationID'(Bytes, OptOrMand, []).

'dec_TerminationID'(Bytes, OptOrMand, TagIn) ->
    {ExternalTermId, Bytes2, Rb} = 
	'do_dec_TerminationID'(Bytes, OptOrMand, TagIn),
    InternalTermId = ?META_DEC(term_id, ExternalTermId),
    {InternalTermId, Bytes2, Rb}.

'do_dec_TerminationID'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationID_wildcard'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type OCTET STRING
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = ?RT_BER:decode_octet_string(Bytes3,[],[{tag,128,1,'IMPLICIT',0}], no_length, mandatory),

    {{'TerminationID', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  TerminationIDList
%%================================

'enc_TerminationIDList'({'TerminationIDList',Val}, TagIn) ->
    'enc_TerminationIDList'(Val, TagIn);

'enc_TerminationIDList'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_TerminationIDList_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_TerminationIDList_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_TerminationIDList_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_TerminationID'(H, []),
    'enc_TerminationIDList_components'(T,[EncBytes|AccBytes], AccLen + EncLen).



'dec_TerminationIDList'(Bytes, OptOrMand) ->
    'dec_TerminationIDList'(Bytes, OptOrMand, []).

'dec_TerminationIDList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_TerminationID'/3, [], []).




%%================================
%%  MediaDescriptor
%%================================
'enc_MediaDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationStateDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,termStateDescr) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_TerminationStateDescriptor'(?RT_BER:cindex(2,Val,termStateDescr), [{tag,128,0,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 2 with type CHOICE
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_MediaDescriptor_streams'(?RT_BER:cindex(3,Val,streams), [{tag,128,1,'EXPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  MediaDescriptor_streams
%%================================

'enc_MediaDescriptor_streams'({'MediaDescriptor_streams',Val}, TagIn) ->
    'enc_MediaDescriptor_streams'(Val, TagIn);

'enc_MediaDescriptor_streams'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    oneStream ->
				'enc_StreamParms'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    multiStream ->
				'enc_MediaDescriptor_streams_multiStream'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).





%%================================
%%  MediaDescriptor_streams_multiStream
%%================================

'enc_MediaDescriptor_streams_multiStream'({'MediaDescriptor_streams_multiStream',Val}, TagIn) ->
    'enc_MediaDescriptor_streams_multiStream'(Val, TagIn);

'enc_MediaDescriptor_streams_multiStream'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_MediaDescriptor_streams_multiStream_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_MediaDescriptor_streams_multiStream_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_MediaDescriptor_streams_multiStream_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_StreamDescriptor'(H, []),
    'enc_MediaDescriptor_streams_multiStream_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_MediaDescriptor_streams_multiStream'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_StreamDescriptor'/3, [], []).


'dec_MediaDescriptor_streams'(Bytes, OptOrMand, TagIn) ->
    TagList = [{oneStream,[{'CONTEXT',0}]},{multiStream,[{'CONTEXT',1}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'oneStream' ->
	    {Dec, Rest, RbCho} = 'dec_StreamParms'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{oneStream, Dec}, Rest, RbExp + RbCho};

	'multiStream' ->
	    {Dec, Rest, RbCho} = 'dec_MediaDescriptor_streams_multiStream'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{multiStream, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


'dec_MediaDescriptor'(Bytes, OptOrMand) ->
    'dec_MediaDescriptor'(Bytes, OptOrMand, []).

'dec_MediaDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type TerminationStateDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch 'dec_TerminationStateDescriptor'(Bytes2,opt_or_default, [{tag,128,0,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 2 with type CHOICE
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_MediaDescriptor_streams'(Bytes3,mandatory, [{tag,128,1,'EXPLICIT',0}]),

    {{'MediaDescriptor', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  StreamDescriptor
%%================================
'enc_StreamDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type StreamID
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_StreamID'(?RT_BER:cindex(2,Val,streamID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamParms
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_StreamParms'(?RT_BER:cindex(3,Val,streamParms), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_StreamDescriptor'(Bytes, OptOrMand) ->
    'dec_StreamDescriptor'(Bytes, OptOrMand, []).

'dec_StreamDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type StreamID
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_StreamID'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamParms
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_StreamParms'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'StreamDescriptor', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  StreamParms
%%================================
'enc_StreamParms'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type LocalControlDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,localControlDescriptor) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_LocalControlDescriptor'(?RT_BER:cindex(2,Val,localControlDescriptor), [{tag,128,0,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 2 with type LocalRemoteDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,localDescriptor) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_LocalRemoteDescriptor'(?RT_BER:cindex(3,Val,localDescriptor), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type LocalRemoteDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,remoteDescriptor) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_LocalRemoteDescriptor'(?RT_BER:cindex(4,Val,remoteDescriptor), [{tag,128,2,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_StreamParms'(Bytes, OptOrMand) ->
    'dec_StreamParms'(Bytes, OptOrMand, []).

'dec_StreamParms'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type LocalControlDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch 'dec_LocalControlDescriptor'(Bytes2,opt_or_default, [{tag,128,0,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 2 with type LocalRemoteDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_LocalRemoteDescriptor'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type LocalRemoteDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_LocalRemoteDescriptor'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp3-> Casetmp3
			 end,

    {{'StreamParms', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  LocalControlDescriptor
%%================================
'enc_LocalControlDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type StreamMode OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,streamMode) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_StreamMode'(?RT_BER:cindex(2,Val,streamMode), [{tag,128,0,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 2 with type BOOLEAN
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = encode_opt_boolean(?RT_BER:cindex(3,Val,reserveValue), [{tag,128,1,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type BOOLEAN
    %%-------------------------------------------------
    {EncBytes3,EncLen3} = encode_opt_boolean(?RT_BER:cindex(4,Val,reserveGroup), [{tag,128,2,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 4 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes4,EncLen4} = 'enc_LocalControlDescriptor_propertyParms'(?RT_BER:cindex(5,Val,propertyParms), [{tag,128,3,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


%% ?META_ENC(
encode_opt_boolean(undefined, DoTag) ->
    ?RT_BER:encode_boolean(false, DoTag);
encode_opt_boolean(Val, DoTag) ->
    ?RT_BER:encode_boolean(Val, DoTag).

%%================================
%%  LocalControlDescriptor_propertyParms
%%================================

'enc_LocalControlDescriptor_propertyParms'({'LocalControlDescriptor_propertyParms',Val}, TagIn) ->
    'enc_LocalControlDescriptor_propertyParms'(Val, TagIn);

'enc_LocalControlDescriptor_propertyParms'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_LocalControlDescriptor_propertyParms_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_LocalControlDescriptor_propertyParms_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_LocalControlDescriptor_propertyParms_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_PropertyParm'(H, []),
    'enc_LocalControlDescriptor_propertyParms_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_LocalControlDescriptor_propertyParms'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_PropertyParm'/3, [], []).




'dec_LocalControlDescriptor'(Bytes, OptOrMand) ->
    'dec_LocalControlDescriptor'(Bytes, OptOrMand, []).

'dec_LocalControlDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type StreamMode OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch 'dec_StreamMode'(Bytes2,opt_or_default, [{tag,128,0,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 2 with type BOOLEAN
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = ?RT_BER:decode_boolean(Bytes3,[{tag,128,1,'IMPLICIT',0}], mandatory),

    %%-------------------------------------------------
    %% attribute number 3 with type BOOLEAN
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = ?RT_BER:decode_boolean(Bytes4,[{tag,128,2,'IMPLICIT',0}], mandatory),

    %%-------------------------------------------------
    %% attribute number 4 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = 'dec_LocalControlDescriptor_propertyParms'(Bytes5,mandatory, [{tag,128,3,'IMPLICIT',0}]),

    {{'LocalControlDescriptor', Term1, Term2, Term3, Term4}, ?RT_BER:restbytes(RemBytes, Bytes6,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5}.


%%================================
%%  StreamMode
%%================================

'enc_StreamMode'({'StreamMode',Val}, TagIn) ->
    'enc_StreamMode'(Val, TagIn);

'enc_StreamMode'(Val, TagIn) ->
    ?RT_BER:encode_enumerated([], Val, {[{sendOnly,0},{recvOnly,1},{sendRecv,2},{inactive,3},{loopBack,4}],[]}, TagIn ++ []).


'dec_StreamMode'(Bytes, OptOrMand) ->
    'dec_StreamMode'(Bytes, OptOrMand, []).

'dec_StreamMode'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_enumerated(Bytes,[],{[{sendOnly,0},{recvOnly,1},{sendRecv,2},{inactive,3},{loopBack,4}],[]},TagIn++[], OptOrMand).



%%================================
%%  PropertyParm
%%================================
'enc_PropertyParm'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type PkgdName
    %%-------------------------------------------------
    PkgdName = ?META_ENC(property, ?RT_BER:cindex(2,Val,name)),
    {EncBytes1,EncLen1} = 'enc_PkgdName'(PkgdName, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_PropertyParm_value'(?RT_BER:cindex(3,Val,value), [{tag,128,1,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type CHOICE OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,extraInfo) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_PropertyParm_extraInfo'(?RT_BER:cindex(4,Val,extraInfo), [{tag,128,2,'EXPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  PropertyParm_value
%%================================

'enc_PropertyParm_value'({'PropertyParm_value',Val}, TagIn) ->
    'enc_PropertyParm_value'(Val, TagIn);

'enc_PropertyParm_value'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_PropertyParm_value_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_PropertyParm_value_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_PropertyParm_value_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = ?RT_BER:encode_octet_string([], H, []),
    'enc_PropertyParm_value_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_PropertyParm_value'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun(FBytes,_,_)->
							?RT_BER:decode_octet_string(FBytes,[],[], no_length, mandatory)
						end, [], []).





%%================================
%%  PropertyParm_extraInfo
%%================================

'enc_PropertyParm_extraInfo'({'PropertyParm_extraInfo',Val}, TagIn) ->
    'enc_PropertyParm_extraInfo'(Val, TagIn);

'enc_PropertyParm_extraInfo'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    relation ->
				'enc_Relation'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    range ->
				?RT_BER:encode_boolean(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    sublist ->
				?RT_BER:encode_boolean(element(2,Val), [{tag,128,2,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).


'dec_PropertyParm_extraInfo'(Bytes, OptOrMand, TagIn) ->
    TagList = [{relation,[{'CONTEXT',0}]},{range,[{'CONTEXT',1}]},{sublist,[{'CONTEXT',2}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'relation' ->
	    {Dec, Rest, RbCho} = 'dec_Relation'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{relation, Dec}, Rest, RbExp + RbCho};

	'range' ->
	    {Dec, Rest, RbCho} = ?RT_BER:decode_boolean(Bytes1,[{tag,128,1,'IMPLICIT',0}], mandatory),
	    {{range, Dec}, Rest, RbExp + RbCho};

	'sublist' ->
	    {Dec, Rest, RbCho} = ?RT_BER:decode_boolean(Bytes1,[{tag,128,2,'IMPLICIT',0}], mandatory),
	    {{sublist, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


'dec_PropertyParm'(Bytes, OptOrMand) ->
    'dec_PropertyParm'(Bytes, OptOrMand, []).

'dec_PropertyParm'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type PkgdName
    %%-------------------------------------------------
    {PkgdName,Bytes3,Rb2} = 'dec_PkgdName'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),
    Term1 = ?META_DEC(property, PkgdName),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_PropertyParm_value'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 3 with type CHOICE OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_PropertyParm_extraInfo'(Bytes4,opt_or_default, [{tag,128,2,'EXPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp1-> Casetmp1
			 end,

    {{'PropertyParm', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  Name
%%================================

'enc_Name'({'Name',Val}, TagIn) ->
    'enc_Name'(Val, TagIn);

'enc_Name'(Val, TagIn) ->
    ?RT_BER:encode_octet_string([], Val, TagIn ++ []).


'dec_Name'(Bytes, OptOrMand) ->
    'dec_Name'(Bytes, OptOrMand, []).

'dec_Name'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_octet_string(Bytes,[],TagIn++[], no_length, OptOrMand).



%%================================
%%  PkgdName
%%================================

'enc_PkgdName'({'PkgdName',Val}, TagIn) ->
    'enc_PkgdName'(Val, TagIn);

'enc_PkgdName'(Val, TagIn) ->
    ?RT_BER:encode_octet_string([], Val, TagIn ++ []).


'dec_PkgdName'(Bytes, OptOrMand) ->
    'dec_PkgdName'(Bytes, OptOrMand, []).

'dec_PkgdName'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_octet_string(Bytes,[],TagIn++[], no_length, OptOrMand).



%%================================
%%  Relation
%%================================

'enc_Relation'({'Relation',Val}, TagIn) ->
    'enc_Relation'(Val, TagIn);

'enc_Relation'(Val, TagIn) ->
    ?RT_BER:encode_enumerated([], Val, {[{greaterThan,0},{smallerThan,1},{unequalTo,2}],[]}, TagIn ++ []).


'dec_Relation'(Bytes, OptOrMand) ->
    'dec_Relation'(Bytes, OptOrMand, []).

'dec_Relation'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_enumerated(Bytes,[],{[{greaterThan,0},{smallerThan,1},{unequalTo,2}],[]},TagIn++[], OptOrMand).



%%================================
%%  LocalRemoteDescriptor
%%================================
'enc_LocalRemoteDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_LocalRemoteDescriptor_propGrps'(?RT_BER:cindex(2,Val,propGrps), [{tag,128,0,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1],
    LenSoFar = EncLen1,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  LocalRemoteDescriptor_propGrps
%%================================

'enc_LocalRemoteDescriptor_propGrps'({'LocalRemoteDescriptor_propGrps',Val}, TagIn) ->
    'enc_LocalRemoteDescriptor_propGrps'(Val, TagIn);

'enc_LocalRemoteDescriptor_propGrps'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_LocalRemoteDescriptor_propGrps_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_LocalRemoteDescriptor_propGrps_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_LocalRemoteDescriptor_propGrps_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_PropertyGroup'(H, []),
    'enc_LocalRemoteDescriptor_propGrps_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_LocalRemoteDescriptor_propGrps'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_PropertyGroup'/3, [], []).




'dec_LocalRemoteDescriptor'(Bytes, OptOrMand) ->
    'dec_LocalRemoteDescriptor'(Bytes, OptOrMand, []).

'dec_LocalRemoteDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_LocalRemoteDescriptor_propGrps'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    {{'LocalRemoteDescriptor', Term1}, ?RT_BER:restbytes(RemBytes, Bytes3,noext),
     Rb1+Rb2}.


%%================================
%%  PropertyGroup
%%================================

'enc_PropertyGroup'({'PropertyGroup',Val}, TagIn) ->
    'enc_PropertyGroup'(Val, TagIn);

'enc_PropertyGroup'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_PropertyGroup_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_PropertyGroup_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_PropertyGroup_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_PropertyParm'(H, []),
    'enc_PropertyGroup_components'(T,[EncBytes|AccBytes], AccLen + EncLen).



'dec_PropertyGroup'(Bytes, OptOrMand) ->
    'dec_PropertyGroup'(Bytes, OptOrMand, []).

'dec_PropertyGroup'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_PropertyParm'/3, [], []).




%%================================
%%  TerminationStateDescriptor
%%================================
'enc_TerminationStateDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_TerminationStateDescriptor_propertyParms'(?RT_BER:cindex(2,Val,propertyParms), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type EventBufferControl OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,eventBufferControl) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_EventBufferControl'(?RT_BER:cindex(3,Val,eventBufferControl), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type ServiceState OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,serviceState) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ServiceState'(?RT_BER:cindex(4,Val,serviceState), [{tag,128,2,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  TerminationStateDescriptor_propertyParms
%%================================

'enc_TerminationStateDescriptor_propertyParms'({'TerminationStateDescriptor_propertyParms',Val}, TagIn) ->
    'enc_TerminationStateDescriptor_propertyParms'(Val, TagIn);

'enc_TerminationStateDescriptor_propertyParms'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_TerminationStateDescriptor_propertyParms_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_TerminationStateDescriptor_propertyParms_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_TerminationStateDescriptor_propertyParms_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_PropertyParm'(H, []),
    'enc_TerminationStateDescriptor_propertyParms_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_TerminationStateDescriptor_propertyParms'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_PropertyParm'/3, [], []).




'dec_TerminationStateDescriptor'(Bytes, OptOrMand) ->
    'dec_TerminationStateDescriptor'(Bytes, OptOrMand, []).

'dec_TerminationStateDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_TerminationStateDescriptor_propertyParms'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type EventBufferControl OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_EventBufferControl'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type ServiceState OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_ServiceState'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp2-> Casetmp2
			 end,

    {{'TerminationStateDescriptor', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  EventBufferControl
%%================================

'enc_EventBufferControl'({'EventBufferControl',Val}, TagIn) ->
    'enc_EventBufferControl'(Val, TagIn);

'enc_EventBufferControl'(Val, TagIn) ->
    ?RT_BER:encode_enumerated([], Val, {[{off,0},{lockStep,1}],[]}, TagIn ++ []).


'dec_EventBufferControl'(Bytes, OptOrMand) ->
    'dec_EventBufferControl'(Bytes, OptOrMand, []).

'dec_EventBufferControl'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_enumerated(Bytes,[],{[{off,0},{lockStep,1}],[]},TagIn++[], OptOrMand).



%%================================
%%  ServiceState
%%================================

'enc_ServiceState'({'ServiceState',Val}, TagIn) ->
    'enc_ServiceState'(Val, TagIn);

'enc_ServiceState'(Val, TagIn) ->
    ?RT_BER:encode_enumerated([], Val, {[{test,0},{outOfSvc,1},{inSvc,2}],[]}, TagIn ++ []).


'dec_ServiceState'(Bytes, OptOrMand) ->
    'dec_ServiceState'(Bytes, OptOrMand, []).

'dec_ServiceState'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_enumerated(Bytes,[],{[{test,0},{outOfSvc,1},{inSvc,2}],[]},TagIn++[], OptOrMand).



%%================================
%%  MuxDescriptor
%%================================
'enc_MuxDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type MuxType
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_MuxType'(?RT_BER:cindex(2,Val,muxType), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_MuxDescriptor_termList'(?RT_BER:cindex(3,Val,termList), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  MuxDescriptor_termList
%%================================

'enc_MuxDescriptor_termList'({'MuxDescriptor_termList',Val}, TagIn) ->
    'enc_MuxDescriptor_termList'(Val, TagIn);

'enc_MuxDescriptor_termList'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_MuxDescriptor_termList_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_MuxDescriptor_termList_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_MuxDescriptor_termList_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_TerminationID'(H, []),
    'enc_MuxDescriptor_termList_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_MuxDescriptor_termList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_TerminationID'/3, [], []).




'dec_MuxDescriptor'(Bytes, OptOrMand) ->
    'dec_MuxDescriptor'(Bytes, OptOrMand, []).

'dec_MuxDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type MuxType
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_MuxType'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_MuxDescriptor_termList'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'MuxDescriptor', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  MuxType
%%================================

'enc_MuxType'({'MuxType',Val}, TagIn) ->
    'enc_MuxType'(Val, TagIn);

'enc_MuxType'(Val, TagIn) ->
    ?RT_BER:encode_enumerated([], Val, {[{h221,0},{h223,1},{h226,2},{v76,3}],[]}, TagIn ++ []).


'dec_MuxType'(Bytes, OptOrMand) ->
    'dec_MuxType'(Bytes, OptOrMand, []).

'dec_MuxType'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_enumerated(Bytes,[],{[{h221,0},{h223,1},{h226,2},{v76,3}],[]},TagIn++[], OptOrMand).



%%================================
%%  StreamID
%%================================

'enc_StreamID'({'StreamID',Val}, TagIn) ->
    'enc_StreamID'(Val, TagIn);

'enc_StreamID'(Val, TagIn) ->
    ?RT_BER:encode_integer([], Val, TagIn ++ []).


'dec_StreamID'(Bytes, OptOrMand) ->
    'dec_StreamID'(Bytes, OptOrMand, []).

'dec_StreamID'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_integer(Bytes,[],TagIn++[], OptOrMand).



%%================================
%%  EventsDescriptor
%%================================
'enc_EventsDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type RequestID
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_RequestID'(?RT_BER:cindex(2,Val,requestID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_EventsDescriptor_eventList'(?RT_BER:cindex(3,Val,eventList), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  EventsDescriptor_eventList
%%================================

'enc_EventsDescriptor_eventList'({'EventsDescriptor_eventList',Val}, TagIn) ->
    'enc_EventsDescriptor_eventList'(Val, TagIn);

'enc_EventsDescriptor_eventList'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_EventsDescriptor_eventList_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_EventsDescriptor_eventList_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_EventsDescriptor_eventList_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_RequestedEvent'(H, []),
    'enc_EventsDescriptor_eventList_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_EventsDescriptor_eventList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_RequestedEvent'/3, [], []).




'dec_EventsDescriptor'(Bytes, OptOrMand) ->
    'dec_EventsDescriptor'(Bytes, OptOrMand, []).

'dec_EventsDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type RequestID
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_RequestID'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_EventsDescriptor_eventList'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'EventsDescriptor', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  RequestedEvent
%%================================
'enc_RequestedEvent'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type PkgdName
    %%-------------------------------------------------
    PkgdName = ?META_ENC(event, ?RT_BER:cindex(2,Val,pkgdName)),
    {EncBytes1,EncLen1} = 'enc_PkgdName'(PkgdName, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamID OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,streamID) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_StreamID'(?RT_BER:cindex(3,Val,streamID), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type RequestedActions OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,eventAction) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_RequestedActions'(?RT_BER:cindex(4,Val,eventAction), [{tag,128,2,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 4 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes4,EncLen4} = 'enc_RequestedEvent_evParList'(?RT_BER:cindex(5,Val,evParList), [{tag,128,3,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  RequestedEvent_evParList
%%================================

'enc_RequestedEvent_evParList'({'RequestedEvent_evParList',Val}, TagIn) ->
    'enc_RequestedEvent_evParList'(Val, TagIn);

'enc_RequestedEvent_evParList'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_RequestedEvent_evParList_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_RequestedEvent_evParList_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_RequestedEvent_evParList_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_EventParameter'(H, []),
    'enc_RequestedEvent_evParList_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_RequestedEvent_evParList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_EventParameter'/3, [], []).




'dec_RequestedEvent'(Bytes, OptOrMand) ->
    'dec_RequestedEvent'(Bytes, OptOrMand, []).

'dec_RequestedEvent'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type PkgdName
    %%-------------------------------------------------
    {PkgdName,Bytes3,Rb2} = 'dec_PkgdName'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),
    Term1 = ?META_DEC(event, PkgdName),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamID OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_StreamID'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type RequestedActions OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_RequestedActions'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 4 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = 'dec_RequestedEvent_evParList'(Bytes5,mandatory, [{tag,128,3,'IMPLICIT',0}]),

    {{'RequestedEvent', Term1, Term2, Term3, Term4}, ?RT_BER:restbytes(RemBytes, Bytes6,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5}.


%%================================
%%  RequestedActions
%%================================
'enc_RequestedActions'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type BOOLEAN
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = ?RT_BER:encode_boolean(?RT_BER:cindex(2,Val,keepActive), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type EventDM OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,eventDM) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_EventDM'(?RT_BER:cindex(3,Val,eventDM), [{tag,128,1,'EXPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type SecondEventsDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,secondEvent) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_SecondEventsDescriptor'(?RT_BER:cindex(4,Val,secondEvent), [{tag,128,2,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 4 with type SignalsDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes4,EncLen4} =  case ?RT_BER:cindex(5,Val,signalsDescriptor) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_SignalsDescriptor'(?RT_BER:cindex(5,Val,signalsDescriptor), [{tag,128,3,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_RequestedActions'(Bytes, OptOrMand) ->
    'dec_RequestedActions'(Bytes, OptOrMand, []).

'dec_RequestedActions'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type BOOLEAN
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = ?RT_BER:decode_boolean(Bytes2,[{tag,128,0,'IMPLICIT',0}], mandatory),

    %%-------------------------------------------------
    %% attribute number 2 with type EventDM OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_EventDM'(Bytes3,opt_or_default, [{tag,128,1,'EXPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type SecondEventsDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_SecondEventsDescriptor'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 4 with type SignalsDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = case (catch 'dec_SignalsDescriptor'(Bytes5,opt_or_default, [{tag,128,3,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes5, 0 };
			     Casetmp3-> Casetmp3
			 end,

    {{'RequestedActions', Term1, Term2, Term3, Term4}, ?RT_BER:restbytes(RemBytes, Bytes6,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5}.


%%================================
%%  EventDM
%%================================

'enc_EventDM'({'EventDM',Val}, TagIn) ->
    'enc_EventDM'(Val, TagIn);

'enc_EventDM'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    digitMapName ->
				'enc_DigitMapName'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    digitMapValue ->
				'enc_DigitMapValue'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_EventDM'(Bytes, OptOrMand) ->
    'dec_EventDM'(Bytes, OptOrMand, []).

'dec_EventDM'(Bytes, OptOrMand, TagIn) ->
    TagList = [{digitMapName,[{'CONTEXT',0}]},{digitMapValue,[{'CONTEXT',1}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'digitMapName' ->
	    {Dec, Rest, RbCho} = 'dec_DigitMapName'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{digitMapName, Dec}, Rest, RbExp + RbCho};

	'digitMapValue' ->
	    {Dec, Rest, RbCho} = 'dec_DigitMapValue'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{digitMapValue, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


%%================================
%%  SecondEventsDescriptor
%%================================
'enc_SecondEventsDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type RequestID
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_RequestID'(?RT_BER:cindex(2,Val,requestID), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_SecondEventsDescriptor_eventList'(?RT_BER:cindex(3,Val,eventList), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  SecondEventsDescriptor_eventList
%%================================

'enc_SecondEventsDescriptor_eventList'({'SecondEventsDescriptor_eventList',Val}, TagIn) ->
    'enc_SecondEventsDescriptor_eventList'(Val, TagIn);

'enc_SecondEventsDescriptor_eventList'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_SecondEventsDescriptor_eventList_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_SecondEventsDescriptor_eventList_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_SecondEventsDescriptor_eventList_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_SecondRequestedEvent'(H, []),
    'enc_SecondEventsDescriptor_eventList_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_SecondEventsDescriptor_eventList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_SecondRequestedEvent'/3, [], []).




'dec_SecondEventsDescriptor'(Bytes, OptOrMand) ->
    'dec_SecondEventsDescriptor'(Bytes, OptOrMand, []).

'dec_SecondEventsDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type RequestID
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_RequestID'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_SecondEventsDescriptor_eventList'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'SecondEventsDescriptor', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  SecondRequestedEvent
%%================================
'enc_SecondRequestedEvent'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type PkgdName
    %%-------------------------------------------------
    PkgdName = ?META_ENC(event, ?RT_BER:cindex(2,Val,pkgdName)),
    {EncBytes1,EncLen1} = 'enc_PkgdName'(PkgdName, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamID OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,streamID) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_StreamID'(?RT_BER:cindex(3,Val,streamID), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type SecondRequestedActions OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,eventAction) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_SecondRequestedActions'(?RT_BER:cindex(4,Val,eventAction), [{tag,128,2,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 4 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes4,EncLen4} = 'enc_SecondRequestedEvent_evParList'(?RT_BER:cindex(5,Val,evParList), [{tag,128,3,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  SecondRequestedEvent_evParList
%%================================

'enc_SecondRequestedEvent_evParList'({'SecondRequestedEvent_evParList',Val}, TagIn) ->
    'enc_SecondRequestedEvent_evParList'(Val, TagIn);

'enc_SecondRequestedEvent_evParList'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_SecondRequestedEvent_evParList_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_SecondRequestedEvent_evParList_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_SecondRequestedEvent_evParList_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_EventParameter'(H, []),
    'enc_SecondRequestedEvent_evParList_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_SecondRequestedEvent_evParList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_EventParameter'/3, [], []).




'dec_SecondRequestedEvent'(Bytes, OptOrMand) ->
    'dec_SecondRequestedEvent'(Bytes, OptOrMand, []).

'dec_SecondRequestedEvent'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type PkgdName
    %%-------------------------------------------------
    {PkgdName,Bytes3,Rb2} = 'dec_PkgdName'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),
    Term1 = ?META_DEC(event, PkgdName),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamID OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_StreamID'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type SecondRequestedActions OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_SecondRequestedActions'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 4 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = 'dec_SecondRequestedEvent_evParList'(Bytes5,mandatory, [{tag,128,3,'IMPLICIT',0}]),

    {{'SecondRequestedEvent', Term1, Term2, Term3, Term4}, ?RT_BER:restbytes(RemBytes, Bytes6,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5}.


%%================================
%%  SecondRequestedActions
%%================================
'enc_SecondRequestedActions'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type BOOLEAN
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = ?RT_BER:encode_boolean(?RT_BER:cindex(2,Val,keepActive), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type EventDM OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,eventDM) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_EventDM'(?RT_BER:cindex(3,Val,eventDM), [{tag,128,1,'EXPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type SignalsDescriptor OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,signalsDescriptor) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_SignalsDescriptor'(?RT_BER:cindex(4,Val,signalsDescriptor), [{tag,128,2,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_SecondRequestedActions'(Bytes, OptOrMand) ->
    'dec_SecondRequestedActions'(Bytes, OptOrMand, []).

'dec_SecondRequestedActions'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type BOOLEAN
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = ?RT_BER:decode_boolean(Bytes2,[{tag,128,0,'IMPLICIT',0}], mandatory),

    %%-------------------------------------------------
    %% attribute number 2 with type EventDM OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_EventDM'(Bytes3,opt_or_default, [{tag,128,1,'EXPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type SignalsDescriptor OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_SignalsDescriptor'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp2-> Casetmp2
			 end,

    {{'SecondRequestedActions', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  EventBufferDescriptor
%%================================

'enc_EventBufferDescriptor'({'EventBufferDescriptor',Val}, TagIn) ->
    'enc_EventBufferDescriptor'(Val, TagIn);

'enc_EventBufferDescriptor'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_EventBufferDescriptor_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_EventBufferDescriptor_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_EventBufferDescriptor_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_EventSpec'(H, []),
    'enc_EventBufferDescriptor_components'(T,[EncBytes|AccBytes], AccLen + EncLen).



'dec_EventBufferDescriptor'(Bytes, OptOrMand) ->
    'dec_EventBufferDescriptor'(Bytes, OptOrMand, []).

'dec_EventBufferDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_EventSpec'/3, [], []).




%%================================
%%  EventSpec
%%================================
'enc_EventSpec'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type EventName
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_EventName'(?RT_BER:cindex(2,Val,eventName), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamID OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,streamID) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_StreamID'(?RT_BER:cindex(3,Val,streamID), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes3,EncLen3} = 'enc_EventSpec_eventParList'(?RT_BER:cindex(4,Val,eventParList), [{tag,128,2,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3],
    LenSoFar = EncLen1 + EncLen2 + EncLen3,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  EventSpec_eventParList
%%================================

'enc_EventSpec_eventParList'({'EventSpec_eventParList',Val}, TagIn) ->
    'enc_EventSpec_eventParList'(Val, TagIn);

'enc_EventSpec_eventParList'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_EventSpec_eventParList_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_EventSpec_eventParList_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_EventSpec_eventParList_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_EventParameter'(H, []),
    'enc_EventSpec_eventParList_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_EventSpec_eventParList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_EventParameter'/3, [], []).




'dec_EventSpec'(Bytes, OptOrMand) ->
    'dec_EventSpec'(Bytes, OptOrMand, []).

'dec_EventSpec'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type EventName
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_EventName'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamID OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_StreamID'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = 'dec_EventSpec_eventParList'(Bytes4,mandatory, [{tag,128,2,'IMPLICIT',0}]),

    {{'EventSpec', Term1, Term2, Term3}, ?RT_BER:restbytes(RemBytes, Bytes5,noext),
     Rb1+Rb2+Rb3+Rb4}.


%%================================
%%  SignalsDescriptor
%%================================

'enc_SignalsDescriptor'({'SignalsDescriptor',Val}, TagIn) ->
    'enc_SignalsDescriptor'(Val, TagIn);

'enc_SignalsDescriptor'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_SignalsDescriptor_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_SignalsDescriptor_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_SignalsDescriptor_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_SignalRequest'(H, []),
    'enc_SignalsDescriptor_components'(T,[EncBytes|AccBytes], AccLen + EncLen).



'dec_SignalsDescriptor'(Bytes, OptOrMand) ->
    'dec_SignalsDescriptor'(Bytes, OptOrMand, []).

'dec_SignalsDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_SignalRequest'/3, [], []).




%%================================
%%  SignalRequest
%%================================

'enc_SignalRequest'({'SignalRequest',Val}, TagIn) ->
    'enc_SignalRequest'(Val, TagIn);

'enc_SignalRequest'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    signal ->
				'enc_Signal'(element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    seqSigList ->
				'enc_SeqSigList'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_SignalRequest'(Bytes, OptOrMand) ->
    'dec_SignalRequest'(Bytes, OptOrMand, []).

'dec_SignalRequest'(Bytes, OptOrMand, TagIn) ->
    TagList = [{signal,[{'CONTEXT',0}]},{seqSigList,[{'CONTEXT',1}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'signal' ->
	    {Dec, Rest, RbCho} = 'dec_Signal'(Bytes1,mandatory, [{tag,128,0,'IMPLICIT',0}]),
	    {{signal, Dec}, Rest, RbExp + RbCho};

	'seqSigList' ->
	    {Dec, Rest, RbCho} = 'dec_SeqSigList'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{seqSigList, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


%%================================
%%  SeqSigList
%%================================
'enc_SeqSigList'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type INTEGER
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = ?RT_BER:encode_integer([], ?RT_BER:cindex(2,Val,id), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_SeqSigList_signalList'(?RT_BER:cindex(3,Val,signalList), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  SeqSigList_signalList
%%================================

'enc_SeqSigList_signalList'({'SeqSigList_signalList',Val}, TagIn) ->
    'enc_SeqSigList_signalList'(Val, TagIn);

'enc_SeqSigList_signalList'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_SeqSigList_signalList_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_SeqSigList_signalList_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_SeqSigList_signalList_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_Signal'(H, []),
    'enc_SeqSigList_signalList_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_SeqSigList_signalList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_Signal'/3, [], []).




'dec_SeqSigList'(Bytes, OptOrMand) ->
    'dec_SeqSigList'(Bytes, OptOrMand, []).

'dec_SeqSigList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type INTEGER
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = ?RT_BER:decode_integer(Bytes2,[],[{tag,128,0,'IMPLICIT',0}], mandatory),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_SeqSigList_signalList'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'SeqSigList', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  Signal
%%================================
'enc_Signal'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type SignalName
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_SignalName'(?RT_BER:cindex(2,Val,signalName), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamID OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,streamID) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_StreamID'(?RT_BER:cindex(3,Val,streamID), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type SignalType OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,sigType) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_SignalType'(?RT_BER:cindex(4,Val,sigType), [{tag,128,2,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 4 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes4,EncLen4} =  case ?RT_BER:cindex(5,Val,duration) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(5,Val,duration), [{tag,128,3,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 5 with type NotifyCompletion OPTIONAL
    %%-------------------------------------------------
    {EncBytes5,EncLen5} =  case ?RT_BER:cindex(6,Val,notifyCompletion) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_NotifyCompletion'(?RT_BER:cindex(6,Val,notifyCompletion), [{tag,128,4,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 6 with type BOOLEAN OPTIONAL
    %%-------------------------------------------------
    {EncBytes6,EncLen6} =  case ?RT_BER:cindex(7,Val,keepActive) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_boolean(?RT_BER:cindex(7,Val,keepActive), [{tag,128,5,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 7 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes7,EncLen7} = 'enc_Signal_sigParList'(?RT_BER:cindex(8,Val,sigParList), [{tag,128,6,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4, EncBytes5, EncBytes6, EncBytes7],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4 + EncLen5 + EncLen6 + EncLen7,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  Signal_sigParList
%%================================

'enc_Signal_sigParList'({'Signal_sigParList',Val}, TagIn) ->
    'enc_Signal_sigParList'(Val, TagIn);

'enc_Signal_sigParList'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_Signal_sigParList_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_Signal_sigParList_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_Signal_sigParList_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_SigParameter'(H, []),
    'enc_Signal_sigParList_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_Signal_sigParList'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_SigParameter'/3, [], []).




'dec_Signal'(Bytes, OptOrMand) ->
    'dec_Signal'(Bytes, OptOrMand, []).

'dec_Signal'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type SignalName
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_SignalName'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type StreamID OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_StreamID'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type SignalType OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch 'dec_SignalType'(Bytes4,opt_or_default, [{tag,128,2,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0 };
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 4 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = case (catch ?RT_BER:decode_integer(Bytes5,[],[{tag,128,3,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes5, 0};
			     Casetmp3-> Casetmp3
			 end,

    %%-------------------------------------------------
    %% attribute number 5 with type NotifyCompletion OPTIONAL
    %%-------------------------------------------------
    {Term5,Bytes7,Rb6} = case (catch 'dec_NotifyCompletion'(Bytes6,opt_or_default, [{tag,128,4,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes6, 0 };
			     Casetmp4-> Casetmp4
			 end,

    %%-------------------------------------------------
    %% attribute number 6 with type BOOLEAN OPTIONAL
    %%-------------------------------------------------
    {Term6,Bytes8,Rb7} = case (catch ?RT_BER:decode_boolean(Bytes7,[{tag,128,5,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes7, 0};
			     Casetmp5-> Casetmp5
			 end,

    %%-------------------------------------------------
    %% attribute number 7 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term7,Bytes9,Rb8} = 'dec_Signal_sigParList'(Bytes8,mandatory, [{tag,128,6,'IMPLICIT',0}]),

    {{'Signal', Term1, Term2, Term3, Term4, Term5, Term6, Term7}, ?RT_BER:restbytes(RemBytes, Bytes9,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5+Rb6+Rb7+Rb8}.


%%================================
%%  SignalType
%%================================

'enc_SignalType'({'SignalType',Val}, TagIn) ->
    'enc_SignalType'(Val, TagIn);

'enc_SignalType'(Val, TagIn) ->
    ?RT_BER:encode_enumerated([], Val, {[{brief,0},{onOff,1},{timeOut,2}],[]}, TagIn ++ []).


'dec_SignalType'(Bytes, OptOrMand) ->
    'dec_SignalType'(Bytes, OptOrMand, []).

'dec_SignalType'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_enumerated(Bytes,[],{[{brief,0},{onOff,1},{timeOut,2}],[]},TagIn++[], OptOrMand).



%%================================
%%  SignalName
%%================================

'enc_SignalName'({'SignalName',Val}, TagIn) ->
    'enc_SignalName'(Val, TagIn);

'enc_SignalName'(Val, TagIn) ->
    PkgdName = ?META_ENC(signal, Val),
    'enc_PkgdName'(PkgdName, TagIn ++ []).


'dec_SignalName'(Bytes, OptOrMand) ->
    'dec_SignalName'(Bytes, OptOrMand, []).

'dec_SignalName'(Bytes, OptOrMand, TagIn) ->
    {PkgdName, Bytes1, Rb1} = 'dec_PkgdName'(Bytes, OptOrMand, TagIn++[]),
    {?META_DEC(signal, PkgdName), Bytes1, Rb1}.


%%================================
%%  NotifyCompletion
%%================================

'enc_NotifyCompletion'({'NotifyCompletion',Val}, TagIn) ->
    'enc_NotifyCompletion'(Val, TagIn);

'enc_NotifyCompletion'(Val, TagIn) ->
    ?RT_BER:encode_bit_string([], Val, [{onTimeOut,0},{onInterruptByEvent,1},{onInterruptByNewSignalDescr,2},{otherReason,3}], TagIn ++ []).


'dec_NotifyCompletion'(Bytes, OptOrMand) ->
    'dec_NotifyCompletion'(Bytes, OptOrMand, []).

'dec_NotifyCompletion'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_bit_string(Bytes,[],[{onTimeOut,0},{onInterruptByEvent,1},{onInterruptByNewSignalDescr,2},{otherReason,3}],TagIn++[], no_length, OptOrMand).



%%================================
%%  SigParameter
%%================================
'enc_SigParameter'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type Name
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_Name'(?RT_BER:cindex(2,Val,sigParameterName), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type Value
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_Value'(?RT_BER:cindex(3,Val,value), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_SigParameter'(Bytes, OptOrMand) ->
    'dec_SigParameter'(Bytes, OptOrMand, []).

'dec_SigParameter'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type Name
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_Name'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type Value
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_Value'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'SigParameter', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  RequestID
%%================================

'enc_RequestID'({'RequestID',Val}, TagIn) ->
    'enc_RequestID'(Val, TagIn);

'enc_RequestID'(Val, TagIn) ->
    ?RT_BER:encode_integer([], Val, TagIn ++ []).


'dec_RequestID'(Bytes, OptOrMand) ->
    'dec_RequestID'(Bytes, OptOrMand, []).

'dec_RequestID'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_integer(Bytes,[],TagIn++[], OptOrMand).



%%================================
%%  ModemDescriptor
%%================================
'enc_ModemDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_ModemDescriptor_mtl'(?RT_BER:cindex(2,Val,mtl), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_ModemDescriptor_mpl'(?RT_BER:cindex(3,Val,mpl), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).



%%================================
%%  ModemDescriptor_mtl
%%================================

'enc_ModemDescriptor_mtl'({'ModemDescriptor_mtl',Val}, TagIn) ->
    'enc_ModemDescriptor_mtl'(Val, TagIn);

'enc_ModemDescriptor_mtl'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_ModemDescriptor_mtl_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_ModemDescriptor_mtl_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_ModemDescriptor_mtl_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_ModemType'(H, []),
    'enc_ModemDescriptor_mtl_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_ModemDescriptor_mtl'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_ModemType'/3, [], []).





%%================================
%%  ModemDescriptor_mpl
%%================================

'enc_ModemDescriptor_mpl'({'ModemDescriptor_mpl',Val}, TagIn) ->
    'enc_ModemDescriptor_mpl'(Val, TagIn);

'enc_ModemDescriptor_mpl'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_ModemDescriptor_mpl_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_ModemDescriptor_mpl_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_ModemDescriptor_mpl_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_PropertyParm'(H, []),
    'enc_ModemDescriptor_mpl_components'(T,[EncBytes|AccBytes], AccLen + EncLen).

'dec_ModemDescriptor_mpl'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_PropertyParm'/3, [], []).




'dec_ModemDescriptor'(Bytes, OptOrMand) ->
    'dec_ModemDescriptor'(Bytes, OptOrMand, []).

'dec_ModemDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_ModemDescriptor_mtl'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type SEQUENCE OF
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_ModemDescriptor_mpl'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),

    {{'ModemDescriptor', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  ModemType
%%================================

'enc_ModemType'({'ModemType',Val}, TagIn) ->
    'enc_ModemType'(Val, TagIn);

'enc_ModemType'(Val, TagIn) ->
    ?RT_BER:encode_enumerated([], Val, {[{v18,0},{v22,1},{v22bis,2},{v32,3},{v32bis,4},{v34,5},{v90,6},{v91,7},{synchISDN,8}],[]}, TagIn ++ []).


'dec_ModemType'(Bytes, OptOrMand) ->
    'dec_ModemType'(Bytes, OptOrMand, []).

'dec_ModemType'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_enumerated(Bytes,[],{[{v18,0},{v22,1},{v22bis,2},{v32,3},{v32bis,4},{v34,5},{v90,6},{v91,7},{synchISDN,8}],[]},TagIn++[], OptOrMand).



%%================================
%%  DigitMapDescriptor
%%================================
'enc_DigitMapDescriptor'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type DigitMapName OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,digitMapName) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_DigitMapName'(?RT_BER:cindex(2,Val,digitMapName), [{tag,128,0,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 2 with type DigitMapValue OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,digitMapValue) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_DigitMapValue'(?RT_BER:cindex(3,Val,digitMapValue), [{tag,128,1,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_DigitMapDescriptor'(Bytes, OptOrMand) ->
    'dec_DigitMapDescriptor'(Bytes, OptOrMand, []).

'dec_DigitMapDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type DigitMapName OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch 'dec_DigitMapName'(Bytes2,opt_or_default, [{tag,128,0,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 2 with type DigitMapValue OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_DigitMapValue'(Bytes3,opt_or_default, [{tag,128,1,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp2-> Casetmp2
			 end,

    {{'DigitMapDescriptor', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  DigitMapName
%%================================

'enc_DigitMapName'({'DigitMapName',Val}, TagIn) ->
    'enc_DigitMapName'(Val, TagIn);

'enc_DigitMapName'(Val, TagIn) ->
    Name = ?META_ENC(dialplan, Val),
    'enc_Name'(Name, TagIn ++ []).


'dec_DigitMapName'(Bytes, OptOrMand) ->
    'dec_DigitMapName'(Bytes, OptOrMand, []).

'dec_DigitMapName'(Bytes, OptOrMand, TagIn) ->
    {Name,Bytes2,Rb2} = 'dec_Name'(Bytes, OptOrMand, TagIn++[]),
    Name2 = ?META_DEC(dialplan, Name),
    {Name2,Bytes2,Rb2}.



%%================================
%%  DigitMapValue
%%================================
'enc_DigitMapValue'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,startTimer) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(2,Val,startTimer), [{tag,128,0,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,shortTimer) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(3,Val,shortTimer), [{tag,128,1,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,longTimer) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(4,Val,longTimer), [{tag,128,2,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 4 with type IA5String
    %%-------------------------------------------------
    {EncBytes4,EncLen4} = ?RT_BER:encode_restricted_string([], ?RT_BER:cindex(5,Val,digitMapBody), 22, [{tag,128,3,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_DigitMapValue'(Bytes, OptOrMand) ->
    'dec_DigitMapValue'(Bytes, OptOrMand, []).

'dec_DigitMapValue'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch ?RT_BER:decode_integer(Bytes2,[],[{tag,128,0,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0};
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch ?RT_BER:decode_integer(Bytes3,[],[{tag,128,1,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0};
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch ?RT_BER:decode_integer(Bytes4,[],[{tag,128,2,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0};
			     Casetmp3-> Casetmp3
			 end,

    %%-------------------------------------------------
    %% attribute number 4 with type IA5String
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = ?RT_BER:decode_restricted_string(Bytes5,[],22,[{tag,128,3,'IMPLICIT',0}], no_length, mandatory),

    {{'DigitMapValue', Term1, Term2, Term3, Term4}, ?RT_BER:restbytes(RemBytes, Bytes6,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5}.


%%================================
%%  ServiceChangeParm
%%================================
'enc_ServiceChangeParm'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type ServiceChangeMethod
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = 'enc_ServiceChangeMethod'(?RT_BER:cindex(2,Val,serviceChangeMethod), [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ServiceChangeAddress OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,serviceChangeAddress) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ServiceChangeAddress'(?RT_BER:cindex(3,Val,serviceChangeAddress), [{tag,128,1,'EXPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,serviceChangeVersion) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(4,Val,serviceChangeVersion), [{tag,128,2,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 4 with type ServiceChangeProfile OPTIONAL
    %%-------------------------------------------------
    {EncBytes4,EncLen4} =  case ?RT_BER:cindex(5,Val,serviceChangeProfile) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ServiceChangeProfile'(?RT_BER:cindex(5,Val,serviceChangeProfile), [{tag,128,3,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 5 with type Value
    %%-------------------------------------------------
    {EncBytes5,EncLen5} = 'enc_Value'(?RT_BER:cindex(6,Val,serviceChangeReason), [{tag,128,4,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 6 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes6,EncLen6} =  case ?RT_BER:cindex(7,Val,serviceChangeDelay) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(7,Val,serviceChangeDelay), [{tag,128,5,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 7 with type MId OPTIONAL
    %%-------------------------------------------------
    {EncBytes7,EncLen7} =  case ?RT_BER:cindex(8,Val,serviceChangeMgcId) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_MId'(?RT_BER:cindex(8,Val,serviceChangeMgcId), [{tag,128,6,'EXPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 8 with type TimeNotation OPTIONAL
    %%-------------------------------------------------
    {EncBytes8,EncLen8} =  case ?RT_BER:cindex(9,Val,timeStamp) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_TimeNotation'(?RT_BER:cindex(9,Val,timeStamp), [{tag,128,7,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4, EncBytes5, EncBytes6, EncBytes7, EncBytes8],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4 + EncLen5 + EncLen6 + EncLen7 + EncLen8,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_ServiceChangeParm'(Bytes, OptOrMand) ->
    'dec_ServiceChangeParm'(Bytes, OptOrMand, []).

'dec_ServiceChangeParm'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type ServiceChangeMethod
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = 'dec_ServiceChangeMethod'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type ServiceChangeAddress OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_ServiceChangeAddress'(Bytes3,opt_or_default, [{tag,128,1,'EXPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch ?RT_BER:decode_integer(Bytes4,[],[{tag,128,2,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0};
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 4 with type ServiceChangeProfile OPTIONAL
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = case (catch 'dec_ServiceChangeProfile'(Bytes5,opt_or_default, [{tag,128,3,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes5, 0 };
			     Casetmp3-> Casetmp3
			 end,

    %%-------------------------------------------------
    %% attribute number 5 with type Value
    %%-------------------------------------------------
    {Term5,Bytes7,Rb6} = 'dec_Value'(Bytes6,mandatory, [{tag,128,4,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 6 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term6,Bytes8,Rb7} = case (catch ?RT_BER:decode_integer(Bytes7,[],[{tag,128,5,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes7, 0};
			     Casetmp4-> Casetmp4
			 end,

    %%-------------------------------------------------
    %% attribute number 7 with type MId OPTIONAL
    %%-------------------------------------------------
    {Term7,Bytes9,Rb8} = case (catch 'dec_MId'(Bytes8,opt_or_default, [{tag,128,6,'EXPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes8, 0 };
			     Casetmp5-> Casetmp5
			 end,

    %%-------------------------------------------------
    %% attribute number 8 with type TimeNotation OPTIONAL
    %%-------------------------------------------------
    {Term8,Bytes10,Rb9} = case (catch 'dec_TimeNotation'(Bytes9,opt_or_default, [{tag,128,7,'IMPLICIT',0}])) of
			      {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes9, 0 };
			      Casetmp6-> Casetmp6
			  end,

    {{'ServiceChangeParm', Term1, Term2, Term3, Term4, Term5, Term6, Term7, Term8}, ?RT_BER:restbytes(RemBytes, Bytes10,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5+Rb6+Rb7+Rb8+Rb9}.


%%================================
%%  ServiceChangeAddress
%%================================

'enc_ServiceChangeAddress'({'ServiceChangeAddress',Val}, TagIn) ->
    'enc_ServiceChangeAddress'(Val, TagIn);

'enc_ServiceChangeAddress'(Val, TagIn) ->
    {EncBytes,EncLen} = case element(1,Val) of
			    portNumber ->
				?RT_BER:encode_integer([], element(2,Val), [{tag,128,0,'IMPLICIT',0}]);
			    ip4Address ->
				'enc_IP4Address'(element(2,Val), [{tag,128,1,'IMPLICIT',0}]);
			    ip6Address ->
				'enc_IP6Address'(element(2,Val), [{tag,128,2,'IMPLICIT',0}]);
			    domainName ->
				'enc_DomainName'(element(2,Val), [{tag,128,3,'IMPLICIT',0}]);
			    deviceName ->
				'enc_PathName'(element(2,Val), [{tag,128,4,'IMPLICIT',0}]);
			    mtpAddress ->
				?RT_BER:encode_octet_string([], element(2,Val), [{tag,128,5,'IMPLICIT',0}]);
			    Else -> 
				exit({error,{asn1,{invalid_choice_type,Else}}})
			end,

    ?RT_BER:encode_tags(TagIn ++[], EncBytes, EncLen).




'dec_ServiceChangeAddress'(Bytes, OptOrMand) ->
    'dec_ServiceChangeAddress'(Bytes, OptOrMand, []).

'dec_ServiceChangeAddress'(Bytes, OptOrMand, TagIn) ->
    TagList = [{portNumber,[{'CONTEXT',0}]},{ip4Address,[{'CONTEXT',1}]},{ip6Address,[{'CONTEXT',2}]},{domainName,[{'CONTEXT',3}]},{deviceName,[{'CONTEXT',4}]},{mtpAddress,[{'CONTEXT',5}]}],

    {FormLen,Bytes1, RbExp} = ?RT_BER:check_tags(TagIn++[], Bytes, OptOrMand),
    case ?RT_BER:check_if_valid_tag(Bytes1,TagList, OptOrMand) of
	'portNumber' ->
	    {Dec, Rest, RbCho} = ?RT_BER:decode_integer(Bytes1,[],[{tag,128,0,'IMPLICIT',0}], mandatory),
	    {{portNumber, Dec}, Rest, RbExp + RbCho};

	'ip4Address' ->
	    {Dec, Rest, RbCho} = 'dec_IP4Address'(Bytes1,mandatory, [{tag,128,1,'IMPLICIT',0}]),
	    {{ip4Address, Dec}, Rest, RbExp + RbCho};

	'ip6Address' ->
	    {Dec, Rest, RbCho} = 'dec_IP6Address'(Bytes1,mandatory, [{tag,128,2,'IMPLICIT',0}]),
	    {{ip6Address, Dec}, Rest, RbExp + RbCho};

	'domainName' ->
	    {Dec, Rest, RbCho} = 'dec_DomainName'(Bytes1,mandatory, [{tag,128,3,'IMPLICIT',0}]),
	    {{domainName, Dec}, Rest, RbExp + RbCho};

	'deviceName' ->
	    {Dec, Rest, RbCho} = 'dec_PathName'(Bytes1,mandatory, [{tag,128,4,'IMPLICIT',0}]),
	    {{deviceName, Dec}, Rest, RbExp + RbCho};

	'mtpAddress' ->
	    {Dec, Rest, RbCho} = ?RT_BER:decode_octet_string(Bytes1,[],[{tag,128,5,'IMPLICIT',0}], no_length, mandatory),
	    {{mtpAddress, Dec}, Rest, RbExp + RbCho};

	Else -> 
	    case OptOrMand of
		mandatory ->exit({error,{asn1,{invalid_choice_tag,Else}}});
		_ ->exit({error,{asn1,{no_optional_tag,Else}}})
	    end
    end.


%%================================
%%  ServiceChangeResParm
%%================================
'enc_ServiceChangeResParm'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type MId OPTIONAL
    %%-------------------------------------------------
    {EncBytes1,EncLen1} =  case ?RT_BER:cindex(2,Val,serviceChangeMgcId) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_MId'(?RT_BER:cindex(2,Val,serviceChangeMgcId), [{tag,128,0,'EXPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 2 with type ServiceChangeAddress OPTIONAL
    %%-------------------------------------------------
    {EncBytes2,EncLen2} =  case ?RT_BER:cindex(3,Val,serviceChangeAddress) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ServiceChangeAddress'(?RT_BER:cindex(3,Val,serviceChangeAddress), [{tag,128,1,'EXPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 3 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {EncBytes3,EncLen3} =  case ?RT_BER:cindex(4,Val,serviceChangeVersion) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   ?RT_BER:encode_integer([], ?RT_BER:cindex(4,Val,serviceChangeVersion), [{tag,128,2,'IMPLICIT',0}])
			   end,

    %%-------------------------------------------------
    %% attribute number 4 with type ServiceChangeProfile OPTIONAL
    %%-------------------------------------------------
    {EncBytes4,EncLen4} =  case ?RT_BER:cindex(5,Val,serviceChangeProfile) of
			       asn1_NOVALUE -> {[],0};
			       _ ->
				   'enc_ServiceChangeProfile'(?RT_BER:cindex(5,Val,serviceChangeProfile), [{tag,128,3,'IMPLICIT',0}])
			   end,

    BytesSoFar = [EncBytes1, EncBytes2, EncBytes3, EncBytes4],
    LenSoFar = EncLen1 + EncLen2 + EncLen3 + EncLen4,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_ServiceChangeResParm'(Bytes, OptOrMand) ->
    'dec_ServiceChangeResParm'(Bytes, OptOrMand, []).

'dec_ServiceChangeResParm'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type MId OPTIONAL
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = case (catch 'dec_MId'(Bytes2,opt_or_default, [{tag,128,0,'EXPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes2, 0 };
			     Casetmp1-> Casetmp1
			 end,

    %%-------------------------------------------------
    %% attribute number 2 with type ServiceChangeAddress OPTIONAL
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = case (catch 'dec_ServiceChangeAddress'(Bytes3,opt_or_default, [{tag,128,1,'EXPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes3, 0 };
			     Casetmp2-> Casetmp2
			 end,

    %%-------------------------------------------------
    %% attribute number 3 with type INTEGER OPTIONAL
    %%-------------------------------------------------
    {Term3,Bytes5,Rb4} = case (catch ?RT_BER:decode_integer(Bytes4,[],[{tag,128,2,'IMPLICIT',0}], opt_or_default)) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes4, 0};
			     Casetmp3-> Casetmp3
			 end,

    %%-------------------------------------------------
    %% attribute number 4 with type ServiceChangeProfile OPTIONAL
    %%-------------------------------------------------
    {Term4,Bytes6,Rb5} = case (catch 'dec_ServiceChangeProfile'(Bytes5,opt_or_default, [{tag,128,3,'IMPLICIT',0}])) of
			     {'EXIT',{error,{asn1,{no_optional_tag,_}}}} -> { asn1_NOVALUE, Bytes5, 0 };
			     Casetmp4-> Casetmp4
			 end,

    {{'ServiceChangeResParm', Term1, Term2, Term3, Term4}, ?RT_BER:restbytes(RemBytes, Bytes6,noext),
     Rb1+Rb2+Rb3+Rb4+Rb5}.


%%================================
%%  ServiceChangeMethod
%%================================

'enc_ServiceChangeMethod'({'ServiceChangeMethod',Val}, TagIn) ->
    'enc_ServiceChangeMethod'(Val, TagIn);

'enc_ServiceChangeMethod'(Val, TagIn) ->
    ?RT_BER:encode_enumerated([], Val, {[{failover,0},{forced,1},{graceful,2},{restart,3},{disconnected,4},{handOff,5}],[]}, TagIn ++ []).


'dec_ServiceChangeMethod'(Bytes, OptOrMand) ->
    'dec_ServiceChangeMethod'(Bytes, OptOrMand, []).

'dec_ServiceChangeMethod'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_enumerated(Bytes,[],{[{failover,0},{forced,1},{graceful,2},{restart,3},{disconnected,4},{handOff,5}],[]},TagIn++[], OptOrMand).



%%================================
%%  ServiceChangeProfile
%%================================
'enc_ServiceChangeProfile'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type Name
    %%-------------------------------------------------
    ProfName = ?META_ENC(profile, ?RT_BER:cindex(2,Val,profileName)),
    {EncBytes1,EncLen1} = 'enc_Name'(ProfName, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = ?RT_BER:encode_integer([], ?RT_BER:cindex(3,Val,version), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_ServiceChangeProfile'(Bytes, OptOrMand) ->
    'dec_ServiceChangeProfile'(Bytes, OptOrMand, []).

'dec_ServiceChangeProfile'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type Name
    %%-------------------------------------------------
    {ProfName,Bytes3,Rb2} = 'dec_Name'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),
    Term1 = ?META_DEC(profile, ProfName),

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = ?RT_BER:decode_integer(Bytes3,[],[{tag,128,1,'IMPLICIT',0}], mandatory),

    {{'ServiceChangeProfile', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  PackagesDescriptor
%%================================

'enc_PackagesDescriptor'({'PackagesDescriptor',Val}, TagIn) ->
    'enc_PackagesDescriptor'(Val, TagIn);

'enc_PackagesDescriptor'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_PackagesDescriptor_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_PackagesDescriptor_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_PackagesDescriptor_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_PackagesItem'(H, []),
    'enc_PackagesDescriptor_components'(T,[EncBytes|AccBytes], AccLen + EncLen).



'dec_PackagesDescriptor'(Bytes, OptOrMand) ->
    'dec_PackagesDescriptor'(Bytes, OptOrMand, []).

'dec_PackagesDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_PackagesItem'/3, [], []).




%%================================
%%  PackagesItem
%%================================
'enc_PackagesItem'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type Name
    %%-------------------------------------------------
    PkgdName = ?META_ENC(package, ?RT_BER:cindex(2,Val,packageName)),
    {EncBytes1,EncLen1} = 'enc_Name'(PkgdName, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = ?RT_BER:encode_integer([], ?RT_BER:cindex(3,Val,packageVersion), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_PackagesItem'(Bytes, OptOrMand) ->
    'dec_PackagesItem'(Bytes, OptOrMand, []).

'dec_PackagesItem'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type Name
    %%-------------------------------------------------
    {PkgdName,Bytes3,Rb2} = 'dec_Name'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),
    Term1 = ?META_DEC(package, PkgdName),

    %%-------------------------------------------------
    %% attribute number 2 with type INTEGER
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = ?RT_BER:decode_integer(Bytes3,[],[{tag,128,1,'IMPLICIT',0}], mandatory),

    {{'PackagesItem', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  StatisticsDescriptor
%%================================

'enc_StatisticsDescriptor'({'StatisticsDescriptor',Val}, TagIn) ->
    'enc_StatisticsDescriptor'(Val, TagIn);

'enc_StatisticsDescriptor'(Val, TagIn) ->
    {EncBytes,EncLen} = 'enc_StatisticsDescriptor_components'(Val,[],0),
    ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], EncBytes, EncLen).

'enc_StatisticsDescriptor_components'([], AccBytes, AccLen) -> 
    {lists:reverse(AccBytes),AccLen};

'enc_StatisticsDescriptor_components'([H|T], AccBytes, AccLen) ->
    {EncBytes,EncLen} = 'enc_StatisticsParameter'(H, []),
    'enc_StatisticsDescriptor_components'(T,[EncBytes|AccBytes], AccLen + EncLen).



'dec_StatisticsDescriptor'(Bytes, OptOrMand) ->
    'dec_StatisticsDescriptor'(Bytes, OptOrMand, []).

'dec_StatisticsDescriptor'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    ?RT_BER:decode_components(Rb1, Len, Bytes1, fun 'dec_StatisticsParameter'/3, [], []).




%%================================
%%  StatisticsParameter
%%================================
'enc_StatisticsParameter'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type PkgdName
    %%-------------------------------------------------
    PkgdName = ?META_ENC(statistics, ?RT_BER:cindex(2,Val,statName)),
    {EncBytes1,EncLen1} = 'enc_PkgdName'(PkgdName, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type Value
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = 'enc_Value'(?RT_BER:cindex(3,Val,statValue), [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_StatisticsParameter'(Bytes, OptOrMand) ->
    'dec_StatisticsParameter'(Bytes, OptOrMand, []).

'dec_StatisticsParameter'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type PkgdName
    %%-------------------------------------------------
    {PkgdName,Bytes3,Rb2} = 'dec_PkgdName'(Bytes2,mandatory, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type Value
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = 'dec_Value'(Bytes3,mandatory, [{tag,128,1,'IMPLICIT',0}]),
    Term1 = ?META_DEC(statistics, PkgdName),

    {{'StatisticsParameter', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  TimeNotation
%%================================
'enc_TimeNotation'(Val, TagIn) ->

    %%-------------------------------------------------
    %% attribute number 1 with type IA5String
    %%-------------------------------------------------
    {EncBytes1,EncLen1} = ?RT_BER:encode_restricted_string([], ?RT_BER:cindex(2,Val,date), 22, [{tag,128,0,'IMPLICIT',0}]),

    %%-------------------------------------------------
    %% attribute number 2 with type IA5String
    %%-------------------------------------------------
    {EncBytes2,EncLen2} = ?RT_BER:encode_restricted_string([], ?RT_BER:cindex(3,Val,time), 22, [{tag,128,1,'IMPLICIT',0}]),

    BytesSoFar = [EncBytes1, EncBytes2],
    LenSoFar = EncLen1 + EncLen2,
    {TagBytes,Len} = ?RT_BER:encode_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], BytesSoFar, LenSoFar).


'dec_TimeNotation'(Bytes, OptOrMand) ->
    'dec_TimeNotation'(Bytes, OptOrMand, []).

'dec_TimeNotation'(Bytes, OptOrMand, TagIn) ->
    %%-------------------------------------------------
    %% decode tag and length 
    %%-------------------------------------------------
    {{_,Len},Bytes1,Rb1} = ?RT_BER:check_tags(TagIn ++ [{tag,0,16,'IMPLICIT',32}], Bytes, OptOrMand), 
    {Bytes2,RemBytes} = ?RT_BER:split_list(Bytes1,Len),

    %%-------------------------------------------------
    %% attribute number 1 with type IA5String
    %%-------------------------------------------------
    {Term1,Bytes3,Rb2} = ?RT_BER:decode_restricted_string(Bytes2,[],22,[{tag,128,0,'IMPLICIT',0}], no_length, mandatory),

    %%-------------------------------------------------
    %% attribute number 2 with type IA5String
    %%-------------------------------------------------
    {Term2,Bytes4,Rb3} = ?RT_BER:decode_restricted_string(Bytes3,[],22,[{tag,128,1,'IMPLICIT',0}], no_length, mandatory),

    {{'TimeNotation', Term1, Term2}, ?RT_BER:restbytes(RemBytes, Bytes4,noext),
     Rb1+Rb2+Rb3}.


%%================================
%%  Value
%%================================

'enc_Value'({'Value',Val}, TagIn) ->
    'enc_Value'(Val, TagIn);

'enc_Value'(Val, TagIn) ->
    ?RT_BER:encode_octet_string([], Val, TagIn ++ []).


'dec_Value'(Bytes, OptOrMand) ->
    'dec_Value'(Bytes, OptOrMand, []).

'dec_Value'(Bytes, OptOrMand, TagIn) ->
    ?RT_BER:decode_octet_string(Bytes,[],TagIn++[], no_length, OptOrMand).

